<?php

if(!function_exists('mkd_map_portfolio_settings')) {
    function mkd_map_portfolio_settings() {
        $meta_box = libero_mikado_add_meta_box(array(
            'scope' => 'portfolio-item',
            'title' => 'تنظیمات نمونه کار',
            'name'  => 'portfolio_settings_meta_box'
        ));

        libero_mikado_add_meta_box_field(array(
            'name'        => 'mkd_portfolio_single_template_meta',
            'type'        => 'select',
            'label'       => 'نوع نمونه کار',
            'description' => 'یک نوع پیشفرض برای برگه های نمونه کار انتخاب کنید',
            'parent'      => $meta_box,
            'options'     => array(
                ''                  => 'پیشفرض',
                'small-images'      => 'تصاویر کوچک',
                'small-slider'      => 'اسلایدر کوچک',
                'big-images'        => 'تصاویر بزرگ',
                'big-slider'        => 'اسلایدر بزرگ',
                'custom'            => 'سفارشی',
                'full-width-custom' => 'تمام صفحه سفارشی',
                'gallery'           => 'گالری'
            )
        ));

        $all_pages = array();
        $pages     = get_pages();
        foreach($pages as $page) {
            $all_pages[$page->ID] = $page->post_title;
        }

        libero_mikado_add_meta_box_field(array(
            'name'        => 'portfolio_single_back_to_link',
            'type'        => 'select',
            'label'       => '"بازگشت به" لینک',
            'description' => 'انتخاب لینک صفحه بازگشت به',
            'parent'      => $meta_box,
            'options'     => $all_pages
        ));

        libero_mikado_add_meta_box_field(array(
            'name'        => 'portfolio_external_link',
            'type'        => 'text',
            'label'       => 'لینک خارجی نمونه کار',
            'description' => 'یک لینک برای بازگشت به لیست نمونه کارها وارد کنید',
            'parent'      => $meta_box,
            'args'        => array(
                'col_width' => 3
            )
        ));
    }

    add_action('libero_mikado_meta_boxes_map', 'mkd_map_portfolio_settings');
}