<?php

$title_meta_box = libero_mikado_add_meta_box(
    array(
        'scope' => array('page', 'portfolio-item', 'post'),
        'title' => 'عنوان',
        'name' => 'title_meta'
    )
);

    libero_mikado_add_meta_box_field(
        array(
            'name' => 'mkd_show_title_area_meta',
            'type' => 'select',
            'default_value' => '',
            'label' => 'نمایش ناحیه عنوان',
            'description' => 'غیرفعال کردن این گزینه عنوان برگه را مخفی خواهد کرد',
            'parent' => $title_meta_box,
            'options' => array(
                '' => '',
                'no' => 'خیر',
                'yes' => 'بله'
            ),
            'args' => array(
                "dependence" => true,
                "hide" => array(
                    "" => "",
                    "no" => "#mkd_mkd_show_title_area_meta_container",
                    "yes" => ""
                ),
                "show" => array(
                    "" => "#mkd_mkd_show_title_area_meta_container",
                    "no" => "",
                    "yes" => "#mkd_mkd_show_title_area_meta_container"
                )
            )
        )
    );

    $show_title_area_meta_container = libero_mikado_add_admin_container(
        array(
            'parent' => $title_meta_box,
            'name' => 'mkd_show_title_area_meta_container',
            'hidden_property' => 'mkd_show_title_area_meta',
            'hidden_value' => 'no'
        )
    );

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_area_type_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => 'نوع ناحیه عنوان',
                'description' => 'نوع عنوان انتخاب کنید',
                'parent' => $show_title_area_meta_container,
                'options' => array(
                    '' => '',
                    'standard' => 'استاندارد',
                    'breadcrumb' => 'نوار آدرس'
                ),
                'args' => array(
                    "dependence" => true,
                    "hide" => array(
                        "standard" => "",
                        "standard" => "",
                        "breadcrumb" => "#mkd_mkd_title_area_type_meta_container"
                    ),
                    "show" => array(
                        "" => "#mkd_mkd_title_area_type_meta_container",
                        "standard" => "#mkd_mkd_title_area_type_meta_container",
                        "breadcrumb" => ""
                    )
                )
            )
        );

        $title_area_type_meta_container = libero_mikado_add_admin_container(
            array(
                'parent' => $show_title_area_meta_container,
                'name' => 'mkd_title_area_type_meta_container',
                'hidden_property' => 'mkd_title_area_type_meta',
                'hidden_value' => '',
                'hidden_values' => array('breadcrumb'),
            )
        );

            libero_mikado_add_meta_box_field(
                array(
                    'name' => 'mkd_title_area_enable_breadcrumbs_meta',
                    'type' => 'select',
                    'default_value' => '',
                    'label' => 'فعال سازی نوار آدرس',
                    'description' => 'این گزینه نوار آدرس را در ناحیه عنوان نمایش خواهد داد',
                    'parent' => $title_area_type_meta_container,
                    'options' => array(
                        '' => '',
                        'no' => 'خیر',
                        'yes' => 'بله'
                    ),
                )
            );

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_area_animation_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => 'انیمیشن ها',
                'description' => 'یک انیمیشن برای ناحیه عنوان انتخاب کنید',
                'parent' => $show_title_area_meta_container,
                'options' => array(
                    '' => '',
                    'no' => 'بدون انیمیشن',
                    'right-left' => 'متن راست به چپ',
                    'left-right' => 'متن چپ به راست'
                )
            )
        );

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_area_vertial_alignment_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => 'تراز عمودی',
                'description' => 'تراز عمودی عنوار',
                'parent' => $show_title_area_meta_container,
                'options' => array(
                    '' => '',
                    'header_bottom' => 'از پایین سربرگ',
                    'window_top' => 'از بالای پنجره'
                )
            )
        );

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_area_content_alignment_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => 'تراز افقی',
                'description' => 'تراز افقی عنوان',
                'parent' => $show_title_area_meta_container,
                'options' => array(
                    '' => '',
                    'left' => 'چپ',
                    'center' => 'وسط',
                    'right' => 'راست'
                )
            )
        );

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_text_color_meta',
                'type' => 'color',
                'label' => 'رنگ عنوان',
                'description' => ' ',
                'parent' => $show_title_area_meta_container
            )
        );

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_text_fsize_meta',
                'type' => 'text',
                'default_value' => '',
                'label' => 'اندازه فونت عنوان',
                'description' => ' ',
                'parent' => $show_title_area_meta_container,
                'args' => array(
                    'col_width' => 3,
                    'suffix' => 'px'
                )
            )
        );

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_breadcrumb_color_meta',
                'type' => 'color',
                'label' => 'رنگ نوار آدرس',
                'description' => 'یک رنگ برای متن نوار آدرس انتخاب کنید',
                'parent' => $show_title_area_meta_container
            )
        );

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_area_background_color_meta',
                'type' => 'color',
                'label' => 'رنگ پس زمینه',
                'description' => 'یک رنگ پس زمینه برای ناحیه عنوان انتخاب کنید',
                'parent' => $show_title_area_meta_container
            )
        );

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_hide_background_image_meta',
                'type' => 'yesno',
                'default_value' => 'no',
                'label' => 'مخفی کردن تصویر پس زمینه',
                'description' => '',
                'parent' => $show_title_area_meta_container,
                'args' => array(
                    "dependence" => true,
                    "dependence_hide_on_yes" => "#mkd_mkd_hide_background_image_meta_container",
                    "dependence_show_on_yes" => ""
                )
            )
        );

        $hide_background_image_meta_container = libero_mikado_add_admin_container(
            array(
                'parent' => $show_title_area_meta_container,
                'name' => 'mkd_hide_background_image_meta_container',
                'hidden_property' => 'mkd_hide_background_image_meta',
                'hidden_value' => 'yes'
            )
        );

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_area_background_image_meta',
                'type' => 'image',
                'label' => 'تصویر پس زمینه',
                'description' => 'انتخاب یک تصویر برای پس زمینه ناحیه عنوان',
                'parent' => $hide_background_image_meta_container
            )
        );

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_area_background_as_pattern_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => 'انتخاب تصویر پس زمینه به عنوان الگو یا پترن',
                'description' => ' ',
                'parent' => $hide_background_image_meta_container,
                'options' => array(
                    "" => "",
                    "no" => "خیر",
                    "yes" => "بله"
                )
            )
        );

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_area_background_image_responsive_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => 'تصویر واکنشگرای زمینه',
                'description' => 'با فعال کردن این گزینه تصویر زمینه حالت واکنشگرا پیدا خواهد کرد',
                'parent' => $hide_background_image_meta_container,
                'options' => array(
                    '' => '',
                    'no' => 'خیر',
                    'yes' => 'بله'
                ),
                'args' => array(
                    "dependence" => true,
                    "hide" => array(
                        "" => "",
                        "no" => "",
                        "yes" => "#mkd_mkd_title_area_background_image_responsive_meta_container, #mkd_mkd_title_area_height_meta"
                    ),
                    "show" => array(
                        "" => "#mkd_mkd_title_area_background_image_responsive_meta_container, #mkd_mkd_title_area_height_meta",
                        "no" => "#mkd_mkd_title_area_background_image_responsive_meta_container, #mkd_mkd_title_area_height_meta",
                        "yes" => ""
                    )
                )
            )
        );

        $title_area_background_image_responsive_meta_container = libero_mikado_add_admin_container(
            array(
                'parent' => $hide_background_image_meta_container,
                'name' => 'mkd_title_area_background_image_responsive_meta_container',
                'hidden_property' => 'mkd_title_area_background_image_responsive_meta',
                'hidden_value' => 'yes'
            )
        );

            libero_mikado_add_meta_box_field(
                array(
                    'name' => 'mkd_title_area_background_image_parallax_meta',
                    'type' => 'select',
                    'default_value' => '',
                    'label' => 'حالت پارالکس تصویر پس زمینه',
                    'description' => '',
                    'parent' => $title_area_background_image_responsive_meta_container,
                    'options' => array(
                        '' => '',
                        'no' => 'خیر',
                        'yes' => 'بله',
                        'yes_zoom' => 'بله ، با کوچک نمایی'
                    )
                )
            );

        libero_mikado_add_meta_box_field(array(
            'name' => 'mkd_title_area_height_meta',
            'type' => 'text',
            'label' => 'ارتفاع',
            'description' => 'مقدار ارتفاع برای ناحیه عنوان وارد کنید',
            'parent' => $show_title_area_meta_container,
            'args' => array(
                'col_width' => 2,
                'suffix' => 'px'
            )
        ));

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_area_border_bottom_enable_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => 'فعال سازی حاشیه پایین',
                'description' => ' ',
                'parent' => $show_title_area_meta_container,
                'options' => array(
                    '' => '',
                    'yes' => 'بله',
                    'no' => 'خیر'
                ),
                'args' => array(
                    "dependence" => true,
                    "show" => array("yes" => "#mkd_mkd_show_border_bottom_meta_container"),
                    "hide" => array("no" => "#mkd_mkd_show_border_bottom_meta_container")
                )
            )
        );

        $show_border_bottom_meta_container = libero_mikado_add_admin_container(
            array(
                'parent' => $show_title_area_meta_container,
                'name' => 'mkd_show_border_bottom_meta_container',
                'hidden_property' => 'mkd_title_area_border_bottom_enable_meta',
                'hidden_value' => 'no'
            )
        );

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_area_border_bottom_meta',
                'type' => 'color',
                'default_value' => '',
                'label' => 'رنگ حاشیه پایین',
                'description' => ' ',
                'parent' => $show_border_bottom_meta_container
            )
        );

        libero_mikado_add_meta_box_field(array(
            'name' => 'mkd_title_area_subtitle_meta',
            'type' => 'text',
            'default_value' => '',
            'label' => 'متن زیر عنوان',
            'description' => 'متن زیر عنوان خود را وارد کنید',
            'parent' => $show_title_area_meta_container,
            'args' => array(
                'col_width' => 6
            )
        ));

        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_subtitle_color_meta',
                'type' => 'color',
                'label' => 'رنگ زیر عنوان',
                'description' => ' ',
                'parent' => $show_title_area_meta_container
            )
        );


        libero_mikado_add_meta_box_field(
            array(
                'name' => 'mkd_title_icon_enable_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => 'فعال سازی آسکون',
                'description' => 'فعال سازی آیکون برای نمایش بالای متن عنوان',
                'parent' => $show_title_area_meta_container,
                'options' => array(
                	'' => '',
                	'yes' => 'بله',
                	'no' => 'خیر'
            	),
                'args' => array(
                    "dependence" => true,
                    "show" => array("yes" => "#mkd_mkd_title_icon_meta_all_container"),
                    "hide" => array("no" => "#mkd_mkd_title_icon_meta_all_container")
                )
            )
        );

        $title_icon_meta_all_container = libero_mikado_add_admin_container(
            array(
                'parent' => $show_title_area_meta_container,
                'name' => 'mkd_title_icon_meta_all_container',
                'hidden_property' => 'mkd_title_icon_enable_meta',
                'hidden_value' => 'no'
            )
        );


//init icon pack hide and show array. It will be populated dinamically from collections array
		$title_above_icon_pack_hide_array = array();
		$title_above_icon_pack_show_array = array();

//do we have some collection added in collections array?
		if (is_array(libero_mikado_icon_collections()->iconCollections) && count(libero_mikado_icon_collections()->iconCollections)) {
			//get collections params array. It will contain values of 'param' property for each collection
			$title_above_icon_collections_params = libero_mikado_icon_collections()->getIconCollectionsParams();

			//foreach collection generate hide and show array
			foreach (libero_mikado_icon_collections()->iconCollections as $dep_collection_key => $dep_collection_object) {
				$title_above_icon_pack_hide_array[$dep_collection_key] = '';

				//we need to include only current collection in show string as it is the only one that needs to show
				$title_above_icon_pack_show_array[$dep_collection_key] = '#mkd_mkd_title_above_icon_' . $dep_collection_object->param . '_container';

				//for all collections param generate hide string
				foreach ($title_above_icon_collections_params as $title_above_icon_collections_param) {
					//we don't need to include current one, because it needs to be shown, not hidden
					if ($title_above_icon_collections_param !== $dep_collection_object->param) {
						$title_above_icon_pack_hide_array[$dep_collection_key] .= '#mkd_mkd_title_above_icon_' . $title_above_icon_collections_param . '_container,';
					}
				}

				//remove remaining ',' character
				$title_above_icon_pack_hide_array[$dep_collection_key] = rtrim($title_above_icon_pack_hide_array[$dep_collection_key], ',');
			}

		}

		libero_mikado_add_meta_box_field(
			array(
				'parent' => $title_icon_meta_all_container,
				'type' => 'selectblank',
				'name' => 'mkd_title_above_icon_pack_meta',
				'default_value' => '',
				'label' => 'پک آیکون',
				'description' => 'پک آیکون انتخاب کنید',
				'options' => libero_mikado_icon_collections()->getIconCollections(),
				'args' => array(
					'dependence' => true,
					'hide' => $title_above_icon_pack_hide_array,
					'show' => $title_above_icon_pack_show_array
				)
			)
		);

		if (is_array(libero_mikado_icon_collections()->iconCollections) && count(libero_mikado_icon_collections()->iconCollections)) {
			//foreach icon collection we need to generate separate container that will have dependency set
			//it will have one field inside with icons dropdown
			foreach (libero_mikado_icon_collections()->iconCollections as $collection_key => $collection_object) {
				$icons_array = $collection_object->getIconsArray();

				//get icon collection keys (keys from collections array, e.g 'font_awesome', 'font_elegant' etc.)
				$icon_collections_keys = libero_mikado_icon_collections()->getIconCollectionsKeys();

				//unset current one, because it doesn't have to be included in dependency that hides icon container
				unset($icon_collections_keys[array_search($collection_key, $icon_collections_keys)]);

				$title_icon_hide_values = $icon_collections_keys;

				$title_icon_meta_container = libero_mikado_add_admin_container(
					array(
						'parent' => $title_icon_meta_all_container,
						'name' => 'mkd_title_above_icon_' . $collection_object->param . '_container',
						'hidden_property' => 'mkd_title_above_icon_pack_meta',
						'hidden_value' => '',
						'hidden_values' => $title_icon_hide_values
					)
				);

				libero_mikado_add_meta_box_field(
					array(
						'parent' => $title_icon_meta_container,
						'type' => 'select',
						'name' => 'mkd_title_above_icon_' . $collection_object->param.'_meta',
						'default_value' => '',
						'label' => 'آیکون',
						'description' => 'یک آیکون انتخاب کنید تا بالای عنوان نمایش داده شود',
						'options' => $icons_array,
					)
				);

			}

		}

		$group_page_title_icon_styles_meta = libero_mikado_add_admin_group(array(
			'name'			=> 'group_page_title_icon_styles_meta',
			'title'			=> 'استایل آیکون',
			'description'	=> '',
			'parent'		=> $title_icon_meta_all_container
		));

		$row_page_title_icon_styles_1_meta = libero_mikado_add_admin_row(array(
			'name'		=> 'row_page_title_icon_styles_1_meta',
			'parent'	=> $group_page_title_icon_styles_meta
		));

		libero_mikado_add_meta_box_field(
			array(
				'parent' => $row_page_title_icon_styles_1_meta,
				'type' => 'colorsimple',
				'name' => 'mkd_title_icon_color_meta',
				'default_value' => '',
				'label' => 'رنگ',
			)
		);

		libero_mikado_add_meta_box_field(
			array(
				'parent' => $row_page_title_icon_styles_1_meta,
				'type' => 'colorsimple',
				'name' => 'mkd_title_icon_border_color_meta',
				'default_value' => '',
				'label' => 'رنگ حاشیه',
			)
		);

		$row_page_title_icon_styles_2_meta = libero_mikado_add_admin_row(array(
			'name'		=> 'row_page_title_icon_styles_2_meta',
			'parent'	=> $group_page_title_icon_styles_meta
		));

		libero_mikado_add_meta_box_field(
			array(
				'parent' => $row_page_title_icon_styles_2_meta,
				'type' => 'selectblanksimple',
				'name' => 'mkd_title_icon_size_meta',
				'default_value' => '',
				'label' => 'اندازه',
				'options' => array(
					'' => 'پیشفرض',
					'mkd-icon-tiny' => 'خیلی کوچک',
					'mkd-icon-small' => 'کوچک',
					'mkd-icon-medium' => 'متوسط',
					'mkd-icon-large' => 'بزرگ',
					'mkd-icon-huge' => 'خیلی بزرگ',
				)
			)
		);

		libero_mikado_add_meta_box_field(
			array(
				'parent' => $row_page_title_icon_styles_2_meta,
				'type' => 'textsimple',
				'name' => 'mkd_title_icon_custom_size_meta',
				'default_value' => '',
				'label' => 'اندازه سفارشی',
				'args' => array(
					'suffix' => 'px',
				)
			)
		);

		libero_mikado_add_meta_box_field(
			array(
				'parent' => $row_page_title_icon_styles_2_meta,
				'type' => 'textsimple',
				'name' => 'mkd_title_icon_shape_size_meta',
				'default_value' => '',
				'label' => 'اندازه شکل پشت آیکون',
				'args' => array(
					'suffix' => 'px',
				)
			)
		);