<?php

if ( ! function_exists('libero_mikado_fonts_options_map') ) {
	/**
	 * Font options page
	 */
	function libero_mikado_fonts_options_map() {

		libero_mikado_add_admin_page(
			array(
				'slug' => '_fonts_page',
				'title' => 'فونت ها',
				'icon' => 'icon_pencil-edit_alt'
			)
		);

		/**
		 * Headings
		 */
		$panel_headings = libero_mikado_add_admin_panel(
			array(
				'page' => '_fonts_page',
				'name' => 'panel_headings',
				'title' => 'عناوین'
			)
		);

		//H1
		$group_heading_h1 = libero_mikado_add_admin_group(array(
			'name'			=> 'group_heading_h1',
			'title'			=> 'H1 استایل',
			'description'	=> '',
			'parent'		=> $panel_headings
		));

		$row_heading_h1_1 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_heading_h1_1',
			'parent'	=> $group_heading_h1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'colorsimple',
			'name'			=> 'h1_color',
			'default_value'	=> '',
			'label'			=> 'رنگ متن',
			'parent'		=> $row_heading_h1_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h1_fontsize',
			'default_value'	=> '',
			'label'			=> 'اندازه فونت',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h1_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h1_lineheight',
			'default_value'	=> '',
			'label'			=> 'ارتفاع خطوط',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h1_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h1_texttransform',
			'default_value'	=> '',
			'label'			=> 'نوع متن',
			'options'		=> libero_mikado_get_text_transform_array(),
			'parent'		=> $row_heading_h1_1
		));

		$row_heading_h1_2 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_heading_h1_2',
			'parent'	=> $group_heading_h1,
			'next'		=> true
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'fontsimple',
			'name'			=> 'h1_google_fonts',
			'default_value'	=> '-1',
			'label'			=> 'خانواده فونت',
			'parent'		=> $row_heading_h1_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h1_fontstyle',
			'default_value'	=> '',
			'label'			=> 'استایل فونت',
			'options'		=> libero_mikado_get_font_style_array(),
			'parent'		=> $row_heading_h1_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h1_fontweight',
			'default_value'	=> '',
			'label'			=> 'ضخامت فونت',
			'options'		=> libero_mikado_get_font_weight_array(),
			'parent'		=> $row_heading_h1_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h1_letterspacing',
			'default_value'	=> '',
			'label'			=> 'فاصله حروف',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h1_2
		));

		//H2
		$group_heading_h2 = libero_mikado_add_admin_group(array(
			'name'			=> 'group_heading_h2',
			'title'			=> 'استایل H2',
			'description'	=> '',
			'parent'		=> $panel_headings
		));

		$row_heading_h2_1 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_heading_h2_1',
			'parent'	=> $group_heading_h2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'colorsimple',
			'name'			=> 'h2_color',
			'default_value'	=> '',
			'label'			=> 'رنگ متن',
			'parent'		=> $row_heading_h2_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h2_fontsize',
			'default_value'	=> '',
			'label'			=> 'اندازه فونت',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h2_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h2_lineheight',
			'default_value'	=> '',
			'label'			=> 'فاصله خطوط',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h2_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h2_texttransform',
			'default_value'	=> '',
			'label'			=> 'نوع حروف متن',
			'options'		=> libero_mikado_get_text_transform_array(),
			'parent'		=> $row_heading_h2_1
		));

		$row_heading_h2_2 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_heading_h2_2',
			'parent'	=> $group_heading_h2,
			'next'		=> true
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'fontsimple',
			'name'			=> 'h2_google_fonts',
			'default_value'	=> '-1',
			'label'			=> 'خانواده فونت',
			'parent'		=> $row_heading_h2_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h2_fontstyle',
			'default_value'	=> '',
			'label'			=> 'استایل فونت',
			'options'		=> libero_mikado_get_font_style_array(),
			'parent'		=> $row_heading_h2_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h2_fontweight',
			'default_value'	=> '',
			'label'			=> 'ضخامت فونت',
			'options'		=> libero_mikado_get_font_weight_array(),
			'parent'		=> $row_heading_h2_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h2_letterspacing',
			'default_value'	=> '',
			'label'			=> 'فاصله حروف',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h2_2
		));

		//H3
		$group_heading_h3 = libero_mikado_add_admin_group(array(
			'name'			=> 'group_heading_h3',
			'title'			=> 'استایل H3',
			'description'	=> '',
			'parent'		=> $panel_headings
		));

		$row_heading_h3_1 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_heading_h3_1',
			'parent'	=> $group_heading_h3
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'colorsimple',
			'name'			=> 'h3_color',
			'default_value'	=> '',
			'label'			=> 'رنگ متن',
			'parent'		=> $row_heading_h3_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h3_fontsize',
			'default_value'	=> '',
			'label'			=> 'اندازه فونت',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h3_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h3_lineheight',
			'default_value'	=> '',
			'label'			=> 'فاصله خطوط',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h3_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h3_texttransform',
			'default_value'	=> '',
			'label'			=> 'نوع حروف متن',
			'options'		=> libero_mikado_get_text_transform_array(),
			'parent'		=> $row_heading_h3_1
		));

		$row_heading_h3_2 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_heading_h3_2',
			'parent'	=> $group_heading_h3,
			'next'		=> true
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'fontsimple',
			'name'			=> 'h3_google_fonts',
			'default_value'	=> '-1',
			'label'			=> 'خانواده فونت',
			'parent'		=> $row_heading_h3_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h3_fontstyle',
			'default_value'	=> '',
			'label'			=> 'استایل فونت',
			'options'		=> libero_mikado_get_font_style_array(),
			'parent'		=> $row_heading_h3_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h3_fontweight',
			'default_value'	=> '',
			'label'			=> 'ضخامت فونت',
			'options'		=> libero_mikado_get_font_weight_array(),
			'parent'		=> $row_heading_h3_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h3_letterspacing',
			'default_value'	=> '',
			'label'			=> 'فاصله حروف',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h3_2
		));

		//H4
		$group_heading_h4 = libero_mikado_add_admin_group(array(
			'name'			=> 'group_heading_h4',
			'title'			=> 'استایل H4 ',
			'description'	=> '',
			'parent'		=> $panel_headings
		));

		$row_heading_h4_1 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_heading_h4_1',
			'parent'	=> $group_heading_h4
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'colorsimple',
			'name'			=> 'h4_color',
			'default_value'	=> '',
			'label'			=> 'رنگ متن',
			'parent'		=> $row_heading_h4_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h4_fontsize',
			'default_value'	=> '',
			'label'			=> 'اندازه فونت',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h4_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h4_lineheight',
			'default_value'	=> '',
			'label'			=> 'فاصله خطوط',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h4_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h4_texttransform',
			'default_value'	=> '',
			'label'			=> 'نوع حروف متن',
			'options'		=> libero_mikado_get_text_transform_array(),
			'parent'		=> $row_heading_h4_1
		));

		$row_heading_h4_2 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_heading_h4_2',
			'parent'	=> $group_heading_h4,
			'next'		=> true
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'fontsimple',
			'name'			=> 'h4_google_fonts',
			'default_value'	=> '-1',
			'label'			=> 'خانواده فونت',
			'parent'		=> $row_heading_h4_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h4_fontstyle',
			'default_value'	=> '',
			'label'			=> 'استایل فونت',
			'options'		=> libero_mikado_get_font_style_array(),
			'parent'		=> $row_heading_h4_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h4_fontweight',
			'default_value'	=> '',
			'label'			=> 'ضخامت فونت',
			'options'		=> libero_mikado_get_font_weight_array(),
			'parent'		=> $row_heading_h4_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h4_letterspacing',
			'default_value'	=> '',
			'label'			=> 'فاصله حروف',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h4_2
		));

		//H5
		$group_heading_h5 = libero_mikado_add_admin_group(array(
			'name'			=> 'group_heading_h5',
			'title'			=> 'H5 Style',
			'description'	=> ' ',
			'parent'		=> $panel_headings
		));

		$row_heading_h5_1 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_heading_h5_1',
			'parent'	=> $group_heading_h5
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'colorsimple',
			'name'			=> 'h5_color',
			'default_value'	=> '',
			'label'			=> 'رنگ متن',
			'parent'		=> $row_heading_h5_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h5_fontsize',
			'default_value'	=> '',
			'label'			=> 'اندازه فونت',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h5_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h5_lineheight',
			'default_value'	=> '',
			'label'			=> 'فاصله خطوط',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h5_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h5_texttransform',
			'default_value'	=> '',
			'label'			=> 'نوع حروف متن',
			'options'		=> libero_mikado_get_text_transform_array(),
			'parent'		=> $row_heading_h5_1
		));

		$row_heading_h5_2 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_heading_h5_2',
			'parent'	=> $group_heading_h5,
			'next'		=> true
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'fontsimple',
			'name'			=> 'h5_google_fonts',
			'default_value'	=> '-1',
			'label'			=> 'خانواده فونت',
			'parent'		=> $row_heading_h5_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h5_fontstyle',
			'default_value'	=> '',
			'label'			=> 'استایل فونت',
			'options'		=> libero_mikado_get_font_style_array(),
			'parent'		=> $row_heading_h5_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h5_fontweight',
			'default_value'	=> '',
			'label'			=> 'ضخامت فونت',
			'options'		=> libero_mikado_get_font_weight_array(),
			'parent'		=> $row_heading_h5_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h5_letterspacing',
			'default_value'	=> '',
			'label'			=> 'فاصله حروف',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h5_2
		));

		//H6
		$group_heading_h6 = libero_mikado_add_admin_group(array(
			'name'			=> 'group_heading_h6',
			'title'			=> ' استایل H6',
			'description'	=> '',
			'parent'		=> $panel_headings
		));

		$row_heading_h6_1 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_heading_h6_1',
			'parent'	=> $group_heading_h6
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'colorsimple',
			'name'			=> 'h6_color',
			'default_value'	=> '',
			'label'			=> 'رنگ متن',
			'parent'		=> $row_heading_h6_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h6_fontsize',
			'default_value'	=> '',
			'label'			=> 'اندازه فونت',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h6_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h6_lineheight',
			'default_value'	=> '',
			'label'			=> 'فاصله خطوط',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h6_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h6_texttransform',
			'default_value'	=> '',
			'label'			=> 'نوع حروف متن',
			'options'		=> libero_mikado_get_text_transform_array(),
			'parent'		=> $row_heading_h6_1
		));

		$row_heading_h6_2 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_heading_h6_2',
			'parent'	=> $group_heading_h6,
			'next'		=> true
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'fontsimple',
			'name'			=> 'h6_google_fonts',
			'default_value'	=> '-1',
			'label'			=> 'خانواده فونت',
			'parent'		=> $row_heading_h6_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h6_fontstyle',
			'default_value'	=> '',
			'label'			=> 'استایل فونت',
			'options'		=> libero_mikado_get_font_style_array(),
			'parent'		=> $row_heading_h6_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'h6_fontweight',
			'default_value'	=> '',
			'label'			=> 'ضخامت فونت',
			'options'		=> libero_mikado_get_font_weight_array(),
			'parent'		=> $row_heading_h6_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'h6_letterspacing',
			'default_value'	=> '',
			'label'			=> 'فاصله حروف',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_heading_h6_2
		));

		/**
		 * Text
		 */
		$panel_text = libero_mikado_add_admin_panel(
			array(
				'page' => '_fonts_page',
				'name' => 'panel_text',
				'title' => 'متن'
			)
		);

		$group_text = libero_mikado_add_admin_group(array(
			'name'			=> 'group_text',
			'title'			=> 'پاراگراف',
			'description'	=> '',
			'parent'		=> $panel_text
		));

		$row_text_1 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_text_1',
			'parent'	=> $group_text
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'colorsimple',
			'name'			=> 'text_color',
			'default_value'	=> '',
			'label'			=> 'رنگ متن',
			'parent'		=> $row_text_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'text_fontsize',
			'default_value'	=> '',
			'label'			=> 'اندازه فونت',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_text_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'text_lineheight',
			'default_value'	=> '',
			'label'			=> 'فاصله خطوط',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_text_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'text_text_transform',
			'default_value'	=> '',
			'label'			=> 'نوع حروف متن',
			'options'		=> libero_mikado_get_text_transform_array(),
			'parent'		=> $row_text_1
		));

		$row_text_2 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_text_2',
			'parent'	=> $group_text,
			'next'		=> true
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'fontsimple',
			'name'			=> 'text_google_fonts',
			'default_value'	=> '-1',
			'label'			=> 'خانواده فونت',
			'parent'		=> $row_text_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'text_fontstyle',
			'default_value'	=> '',
			'label'			=> 'استایل فونت',
			'options'		=> libero_mikado_get_font_style_array(),
			'parent'		=> $row_text_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'text_fontweight',
			'default_value'	=> '',
			'label'			=> 'ضخامت فونت',
			'options'		=> libero_mikado_get_font_weight_array(),
			'parent'		=> $row_text_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'textsimple',
			'name'			=> 'text_letter_spacing',
			'default_value'	=> '',
			'label'			=> 'فاصله حروف',
			'args'			=> array(
				'suffix'	=> 'px'
			),
			'parent'		=> $row_text_2
		));

		$group_link = libero_mikado_add_admin_group(array(
			'name'			=> 'group_link',
			'title'			=> 'لینک ها',
			'description'	=> '',
			'parent'		=> $panel_text
		));

		$row_link_1 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_link_1',
			'parent'	=> $group_link
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'colorsimple',
			'name'			=> 'link_color',
			'default_value'	=> '',
			'label'			=> 'رنگ لینک',
			'parent'		=> $row_link_1
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'colorsimple',
			'name'			=> 'link_hovercolor',
			'default_value'	=> '',
			'label'			=> 'رنگ لینک حالت شناور هاور',
			'parent'		=> $row_link_1
		));

		$row_link_2 = libero_mikado_add_admin_row(array(
			'name'		=> 'row_link_2',
			'parent'	=> $group_link,
			'next'		=> true
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'link_fontstyle',
			'default_value'	=> '',
			'label'			=> 'استایل فونت',
			'options'		=> libero_mikado_get_font_style_array(),
			'parent'		=> $row_link_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'link_fontweight',
			'default_value'	=> '',
			'label'			=> 'ضخامت فونت',
			'options'		=> libero_mikado_get_font_weight_array(),
			'parent'		=> $row_link_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'link_fontdecoration',
			'default_value'	=> '',
			'label'			=> 'خط زیر لینک',
			'options'		=> libero_mikado_get_text_decorations(),
			'parent'		=> $row_link_2
		));

		libero_mikado_add_admin_field(array(
			'type'			=> 'selectblanksimple',
			'name'			=> 'link_hover_fontdecoration',
			'default_value'	=> '',
			'label'			=> 'حالت شناور',
			'options'		=> libero_mikado_get_text_decorations(),
			'parent'		=> $row_link_2
		));

	}

	add_action( 'libero_mikado_options_map', 'libero_mikado_fonts_options_map', 2);

}