<?php

if ( ! function_exists('libero_mikado_general_options_map') ) {
    /**
     * General options page
     */
    function libero_mikado_general_options_map() {

        libero_mikado_add_admin_page(
            array(
                'slug'  => '',
                'title' => 'عمومی',
                'icon'  => 'icon_building'
            )
        );

        do_action('libero_mikado_before_general_options_map');

        $panel_design_style = libero_mikado_add_admin_panel(
            array(
                'page'  => '',
                'name'  => 'panel_design_style',
                'title' => 'ظاهر'
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'google_fonts',
                'type'          => 'font',
                'default_value' => '-1',
                'label'         => 'خانواده فونت',
                'description'   => 'در اینجا از فونت های گوگل فقط می توانید استفاده کنید',
                'parent' => $panel_design_style
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'additional_google_fonts',
                'type'          => 'yesno',
                'default_value' => 'no',
                'label'         => 'فونت های اضافی گوگل',
                'description'   => '',
                'parent'        => $panel_design_style,
                'args'          => array(
                    "dependence" => true,
                    "dependence_hide_on_yes" => "",
                    "dependence_show_on_yes" => "#mkd_additional_google_fonts_container"
                )
            )
        );

        $additional_google_fonts_container = libero_mikado_add_admin_container(
            array(
                'parent'            => $panel_design_style,
                'name'              => 'additional_google_fonts_container',
                'hidden_property'   => 'additional_google_fonts',
                'hidden_value'      => 'no'
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'additional_google_font1',
                'type'          => 'font',
                'default_value' => '-1',
                'label'         => 'خانواده فونت',
                'description'   => '',
                'parent'        => $additional_google_fonts_container
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'additional_google_font2',
                'type'          => 'font',
                'default_value' => '-1',
                'label'         => 'خانواده فونت',
                'description'   => '',
                'parent'        => $additional_google_fonts_container
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'additional_google_font3',
                'type'          => 'font',
                'default_value' => '-1',
                'label'         => 'خانواده فونت',
                'description'   => '',
                'parent'        => $additional_google_fonts_container
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'additional_google_font4',
                'type'          => 'font',
                'default_value' => '-1',
                'label'         => 'خانواده فونت',
                'description'   => '',
                'parent'        => $additional_google_fonts_container
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'additional_google_font5',
                'type'          => 'font',
                'default_value' => '-1',
                'label'         => 'خانواده فونت',
                'description'   => '',
                'parent'        => $additional_google_fonts_container
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'first_color',
                'type'          => 'color',
                'label'         => 'رنگ اصلی اول سایت',
                'description'   => 'رنگ پیش فرض: #ff9800',
                'parent'        => $panel_design_style
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'second_color',
                'type'          => 'color',
                'label'         => 'رنگ اصلی دوم سایت',
                'description'   => 'رنگ پیش فرض : #afc900',
                'parent'        => $panel_design_style
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'page_background_color',
                'type'          => 'color',
                'label'         => 'رنگ پس زمینه سایت',
                'description'   => 'رنگ زمینه محتوای سایت را انتخاب کنید',
                'parent'        => $panel_design_style
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'selection_color',
                'type'          => 'color',
                'label'         => 'رنگ ناحیه انتخاب متن',
                'description'   => 'رنگی را که کاربر هنگام انتخاب متن می بیند انتخاب کنید',
                'parent'        => $panel_design_style
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'boxed',
                'type'          => 'yesno',
                'default_value' => 'no',
                'label'         => 'چیدمان جعبه',
                'description'   => '',
                'parent'        => $panel_design_style,
                'args'          => array(
                    "dependence" => true,
                    "dependence_hide_on_yes" => "",
                    "dependence_show_on_yes" => "#mkd_boxed_container"
                )
            )
        );

        $boxed_container = libero_mikado_add_admin_container(
            array(
                'parent'            => $panel_design_style,
                'name'              => 'boxed_container',
                'hidden_property'   => 'boxed',
                'hidden_value'      => 'no'
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'page_background_color_in_box',
                'type'          => 'color',
                'label'         => 'رنگ پس زمینه برگه',
                'description'   => '',
                'parent'        => $boxed_container
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'boxed_background_image',
                'type'          => 'image',
                'label'         => 'تصویر پس زمینه',
                'description'   => '',
                'parent'        => $boxed_container
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'boxed_pattern_background_image',
                'type'          => 'image',
                'label'         => 'پترن یا الگوی پس زمینه',
                'description'   => '',
                'parent'        => $boxed_container
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'boxed_background_image_attachment',
                'type'          => 'select',
                'default_value' => 'fixed',
                'label'         => 'تصویر پس زمینه',
                'description'   => '',
                'parent'        => $boxed_container,
                'options'       => array(
                    'fixed'     => 'ثابت',
                    'scroll'    => 'سکرول'
                )
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'initial_content_width',
                'type'          => 'select',
                'default_value' => 'grid-1300',
                'label'         => 'عرض محتوا',
                'description'   => '',
                'parent'        => $panel_design_style,
                'options'       => array(
                    "grid-1300" => "1300px - پیش فرض",
                    "grid-1100" => "1100px",
                    "grid-1200" => "1200px",
                    "grid-1000" => "1000px",
                    "grid-800"  => "800px"
                )
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'preload_pattern_image',
                'type'          => 'image',
                'label'         => 'تصویر الگوی بارگذاری',
                'description'   => 'تصویری برای پترن صفحه بارگذاری انتخاب کنید',
                'parent'        => $panel_design_style
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name' => 'element_appear_amount',
                'type' => 'text',
                'label' => 'ظاهر شدن عناصر',
                'description' => 'فاصله ای از پایین برای ظاهر شدن انیمیشن عناصر صفحه تعیین کنید (به پیکسل)',
                'parent' => $panel_design_style,
                'args' => array(
                    'col_width' => 2,
                    'suffix' => 'px'
                )
            )
        );

        $panel_settings = libero_mikado_add_admin_panel(
            array(
                'page'  => '',
                'name'  => 'panel_settings',
                'title' => 'رفتار'
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'smooth_scroll',
                'type'          => 'yesno',
                'default_value' => 'no',
                'label'         => 'اسکرول صاف',
                'description'   => '',
                'parent'        => $panel_settings
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'smooth_page_transitions',
                'type'          => 'yesno',
                'default_value' => 'no',
                'label'         => 'افکت انتقال صفحات',
                'description'   => 'با فعال کردن این گزینه یک افکت هنگام خروج از صفحه ای به صفحه دیگر ایجاد می شود',
                'parent'        => $panel_settings
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'show_back_button',
                'type'          => 'yesno',
                'default_value' => 'yes',
                'label'         => 'نمایش دکمه بازگشت به بالا',
                'description'   => '',
                'parent'        => $panel_settings
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'responsiveness',
                'type'          => 'yesno',
                'default_value' => 'yes',
                'label'         => 'واکنشگرایی',
                'description'   => 'فعال کردن این گزینه سایت شما حالت واکنشگرا پیدا می کند',
                'parent'        => $panel_settings
            )
        );

        $panel_custom_code = libero_mikado_add_admin_panel(
            array(
                'page'  => '',
                'name'  => 'panel_custom_code',
                'title' => 'کد سفارشی'
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'custom_css',
                'type'          => 'textarea',
                'label'         => 'استایل سفارشی',
                'description'   => '',
                'parent'        => $panel_custom_code
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'          => 'custom_js',
                'type'          => 'textarea',
                'label'         => 'جاوا اسکریپت سفارشی',
                'description'   => '',
                'parent'        => $panel_custom_code
            )
        );

        $panel_google_api = libero_mikado_add_admin_panel(
            array(
                'page'  => '',
                'name'  => 'panel_google_api',
                'title' => 'گوگل API'
            )
        );

        libero_mikado_add_admin_field(
            array(
                'name'        => 'google_maps_api_key',
                'type'        => 'text',
                'label'       => 'نقشه گوگل Api Key',
                'description' => '',
                'parent'      => $panel_google_api
            )
        );
    }

    add_action( 'libero_mikado_options_map', 'libero_mikado_general_options_map', 1);

}