<?php

if ( ! function_exists('libero_mikado_page_options_map') ) {

    function libero_mikado_page_options_map() {

        libero_mikado_add_admin_page(
            array(
                'slug'  => '_page_page',
                'title' => 'برگه',
                'icon'  => 'icon_document_alt'
            )
        );

        $custom_sidebars = libero_mikado_get_custom_sidebars();

        $panel_sidebar = libero_mikado_add_admin_panel(
            array(
                'page'  => '_page_page',
                'name'  => 'panel_sidebar',
                'title' => 'استایل طراحی'
            )
        );

        libero_mikado_add_admin_field(array(
            'name'        => 'page_sidebar_layout',
            'type'        => 'select',
            'label'       => 'چیدمان ستون کناری',
            'description' => 'انتخاب یک چیدمان برای برگه ها',
            'default_value' => 'default',
            'parent'      => $panel_sidebar,
            'options'     => array(
                'default'			=> 'بدون ستون کناری',
                'sidebar-33-right'	=> 'Sidebar 1/3 راست',
                'sidebar-25-right' 	=> 'Sidebar 1/4 راست',
                'sidebar-33-left' 	=> 'Sidebar 1/3 چپ',
                'sidebar-25-left' 	=> 'Sidebar 1/4 چپ'
            )
        ));


        if(count($custom_sidebars) > 0) {
            libero_mikado_add_admin_field(array(
                'name' => 'page_custom_sidebar',
                'type' => 'selectblank',
                'label' => 'ستون کناری برای نمایش',
                'description' => 'انتخاب یک ستون کناری برای نمایش در برگه ها.',
                'parent' => $panel_sidebar,
                'options' => $custom_sidebars
            ));
        }

        libero_mikado_add_admin_field(array(
            'name'        => 'page_show_comments',
            'type'        => 'yesno',
            'label'       => 'نمایش دیدگاه ها',
            'description' => 'فعال سازی این گزینه دیدگاه ها را در برگه های نمایش خواهد داد',
            'default_value' => 'yes',
            'parent'      => $panel_sidebar
        ));

        $panel_widgets = libero_mikado_add_admin_panel(
            array(
                'page'  => '_page_page',
                'name'  => 'panel_widgets',
                'title' => 'ستون کناری'
            )
        );

        libero_mikado_add_admin_section_title(
            array(
                'parent' => $panel_widgets,
                'name' => 'logo_area_title',
                'title' => 'ابزارک ها'
            )
        );

        libero_mikado_add_admin_field(array(
            'type'			=> 'color',
            'name'			=> 'sidebar_background_color',
            'default_value'	=> '',
            'label'			=> 'رنگ پس زمینه ستون کناری',
            'description'	=> 'انتخاب یک رنپ پس زمینه برای ستون کناری',
            'parent'		=> $panel_widgets
        ));

        $group_sidebar_padding = libero_mikado_add_admin_group(array(
            'name'		=> 'group_sidebar_padding',
            'title'		=> 'فاصله داخلی',
            'parent'	=> $panel_widgets
        ));

        $row_sidebar_padding = libero_mikado_add_admin_row(array(
            'name'		=> 'row_sidebar_padding',
            'parent'	=> $group_sidebar_padding
        ));

        libero_mikado_add_admin_field(array(
            'type'			=> 'textsimple',
            'name'			=> 'sidebar_padding_top',
            'default_value'	=> '',
            'label'			=> 'فاصله داخلی از بالا',
            'args'			=> array(
                'suffix'	=> 'px'
            ),
            'parent'		=> $row_sidebar_padding
        ));

        libero_mikado_add_admin_field(array(
            'type'			=> 'textsimple',
            'name'			=> 'sidebar_padding_right',
            'default_value'	=> '',
            'label'			=> 'فاصله داخلی از راست',
            'args'			=> array(
                'suffix'	=> 'px'
            ),
            'parent'		=> $row_sidebar_padding
        ));

        libero_mikado_add_admin_field(array(
            'type'			=> 'textsimple',
            'name'			=> 'sidebar_padding_bottom',
            'default_value'	=> '',
            'label'			=> 'فاصله داخلی از پایین',
            'args'			=> array(
                'suffix'	=> 'px'
            ),
            'parent'		=> $row_sidebar_padding
        ));

        libero_mikado_add_admin_field(array(
            'type'			=> 'textsimple',
            'name'			=> 'sidebar_padding_left',
            'default_value'	=> '',
            'label'			=> 'فاصله داخلی از چپ',
            'args'			=> array(
                'suffix'	=> 'px'
            ),
            'parent'		=> $row_sidebar_padding
        ));

        libero_mikado_add_admin_field(array(
            'type'			=> 'select',
            'name'			=> 'sidebar_alignment',
            'default_value'	=> '',
            'label'			=> 'تراز متن',
            'description'	=> 'انتخاب تراز متن',
            'options'		=> array(
                'left' => 'چپ',
                'center' => 'وسط',
                'right' => 'راست'
            ),
            'parent'		=> $panel_widgets
        ));
    }

    add_action( 'libero_mikado_options_map', 'libero_mikado_page_options_map', 7);

}