<?php

if ( ! function_exists('libero_mikado_blog_options_map') ) {

	function libero_mikado_blog_options_map() {

		libero_mikado_add_admin_page(
			array(
				'slug' => '_blog_page',
				'title' => 'بلاگ',
				'icon' => 'icon_book_alt'
			)
		);

		/**
		 * Blog Lists
		 */

		$custom_sidebars = libero_mikado_get_custom_sidebars();

		$panel_blog_lists = libero_mikado_add_admin_panel(
			array(
				'page' => '_blog_page',
				'name' => 'panel_blog_lists',
				'title' => 'لیست نوشته های بلاگ'
			)
		);

		libero_mikado_add_admin_field(array(
			'name'        => 'blog_list_type',
			'type'        => 'select',
			'label'       => 'چیدمان بلاگ برای آرشیو برگه های جستجو',
			'description' => '',
			'default_value' => 'standard',
			'parent'      => $panel_blog_lists,
			'options'     => array(
				'standard'				=> 'بلاگ : استاندارد',
				'standard-whole-post' 	=> 'بلاگ : استاندارد همه نوشته ها'
			)
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'archive_sidebar_layout',
			'type'        => 'select',
			'label'       => 'ستون کناری نوشته های دسته بندی و بایگانی',
			'description' => 'یک چیدمان برای ستون کناری صفحه بایگانی و نوشته های مخصوص به یک دسته بندی انتخاب کنید',
			'parent'      => $panel_blog_lists,
			'options'     => array(
				'default'			=> 'بدون ستون کناری',
				'sidebar-33-right'	=> 'Sidebar 1/3 راست',
				'sidebar-25-right' 	=> 'Sidebar 1/4 راست',
				'sidebar-33-left' 	=> 'Sidebar 1/3 چپ',
				'sidebar-25-left' 	=> 'Sidebar 1/4 چپ',
			)
		));


		if(count($custom_sidebars) > 0) {
			libero_mikado_add_admin_field(array(
				'name' => 'blog_custom_sidebar',
				'type' => 'selectblank',
				'label' => 'نمایش ستون کناری',
				'description' => 'انتخاب یک ستون کناری برای نمایش کنار نوشته های بلاگ',
				'parent' => $panel_blog_lists,
				'options' => libero_mikado_get_custom_sidebars()
			));
		}

		libero_mikado_add_admin_field(
			array(
				'type' => 'yesno',
				'name' => 'pagination',
				'default_value' => 'yes',
				'label' => 'نمایش صفحه بندی',
				'parent' => $panel_blog_lists,
				'description' => '',
				'args' => array(
					'dependence' => true,
					'dependence_hide_on_yes' => '',
					'dependence_show_on_yes' => '#mkd_mkd_pagination_container'
				)
			)
		);

		$pagination_container = libero_mikado_add_admin_container(
			array(
				'name' => 'mkd_pagination_container',
				'hidden_property' => 'pagination',
				'hidden_value' => 'no',
				'parent' => $panel_blog_lists,
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $pagination_container,
				'type' => 'text',
				'name' => 'blog_page_range',
				'default_value' => '',
				'label' => 'محدودیت رنج صفحه بندی',
				'description' => '',
				'args' => array(
					'col_width' => 3
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'type' => 'text',
				'name' => 'number_of_chars',
				'default_value' => '',
				'label' => 'تعداد لغات در چکیده ها',
				'parent' => $panel_blog_lists,
				'description' => '',
				'args' => array(
					'col_width' => 3
				)
			)
		);

		/**
		 * Blog Single
		 */
		$panel_blog_single = libero_mikado_add_admin_panel(
			array(
				'page' => '_blog_page',
				'name' => 'panel_blog_single',
				'title' => 'نوشته تکی بلاگ'
			)
		);


		libero_mikado_add_admin_field(array(
			'name'        => 'blog_single_sidebar_layout',
			'type'        => 'select',
			'label'       => 'چیدمان ستون کناری',
			'description' => 'یک چیدمان برای ستون کناری نوشته تکی بلاگ انتخاب کنید',
			'parent'      => $panel_blog_single,
			'options'     => array(
				'default'			=> 'بدون ستون کناری',
				'sidebar-33-right'	=> 'Sidebar 1/3 راست',
				'sidebar-25-right' 	=> 'Sidebar 1/4 راست',
				'sidebar-33-left' 	=> 'Sidebar 1/3 چپ',
				'sidebar-25-left' 	=> 'Sidebar 1/4 چپ',
			)
		));


		if(count($custom_sidebars) > 0) {
			libero_mikado_add_admin_field(array(
				'name' => 'blog_single_custom_sidebar',
				'type' => 'selectblank',
				'label' => 'انتخاب ستون کناری برای نمایش',
				'description' => '',
				'parent' => $panel_blog_single,
				'options' => libero_mikado_get_custom_sidebars()
			));
		}
		libero_mikado_add_admin_field(array(
			'name'          => 'blog_single_comments',
			'type'          => 'yesno',
			'label'         => 'نمایش دیدگاه ها',
			'description'   => '',
			'parent'        => $panel_blog_single,
			'default_value' => 'yes'
		));
		libero_mikado_add_admin_field(
			array(
				'type' => 'yesno',
				'name' => 'blog_single_navigation',
				'default_value' => 'no',
				'label' => ' لینک منوی نوشته قبلی و بعدی',
				'parent' => $panel_blog_single,
				'description' => 'فعال کردن منوی نوشته قبلی و بعدی در نوشته های تکی',
				'args' => array(
					'dependence' => true,
					'dependence_hide_on_yes' => '',
					'dependence_show_on_yes' => '#mkd_mkd_blog_single_navigation_container'
				)
			)
		);

		$blog_single_navigation_container = libero_mikado_add_admin_container(
			array(
				'name' => 'mkd_blog_single_navigation_container',
				'hidden_property' => 'blog_single_navigation',
				'hidden_value' => 'no',
				'parent' => $panel_blog_single,
			)
		);

		libero_mikado_add_admin_field(
			array(
				'type'        => 'yesno',
				'name' => 'blog_navigation_through_same_category',
				'default_value' => 'no',
				'label'       => 'نمایش منو فقط در دسته بندی که در آن هستید',
				'description' => 'محدود کردن منوی دسته بندی به دسته بندی که در آن هستید',
				'parent'      => $blog_single_navigation_container,
				'args' => array(
					'col_width' => 3
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'type' => 'yesno',
				'name' => 'blog_author_info',
				'default_value' => 'no',
				'label' => 'نمایش جعبه اطلاعات نویسنده',
				'parent' => $panel_blog_single,
				'description' => '',
				'args' => array(
					'dependence' => true,
					'dependence_hide_on_yes' => '',
					'dependence_show_on_yes' => '#mkd_mkd_blog_single_author_info_container'
				)
			)
		);

		$blog_single_author_info_container = libero_mikado_add_admin_container(
			array(
				'name' => 'mkd_blog_single_author_info_container',
				'hidden_property' => 'blog_author_info',
				'hidden_value' => 'no',
				'parent' => $panel_blog_single,
			)
		);

		libero_mikado_add_admin_field(
			array(
				'type'        => 'yesno',
				'name' => 'blog_author_info_email',
				'default_value' => 'no',
				'label'       => 'نمایش ایمیل نویسنده',
				'description' => '',
				'parent'      => $blog_single_author_info_container,
				'args' => array(
					'col_width' => 3
				)
			)
		);

	}

	add_action( 'libero_mikado_options_map', 'libero_mikado_blog_options_map',10);

}











