<?php

if ( ! function_exists('libero_mikado_footer_options_map') ) {
	/**
	 * Add footer options
	 */
	function libero_mikado_footer_options_map() {

		libero_mikado_add_admin_page(
			array(
				'slug' => '_footer_page',
				'title' => 'فوتر',
				'icon' => 'icon_cone_alt'
			)
		);

		$footer_panel = libero_mikado_add_admin_panel(
			array(
				'title' => 'فوتر',
				'name' => 'footer',
				'page' => '_footer_page'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'type' => 'yesno',
				'name' => 'uncovering_footer',
				'default_value' => 'yes',
				'label' => 'حالت سرپوش برداشتن از فوتر',
				'description' => '',
				'parent' => $footer_panel,
			)
		);

		libero_mikado_add_admin_field(
			array(
				'type' => 'yesno',
				'name' => 'footer_in_grid',
				'default_value' => 'no',
				'label' => 'فوتر شبکه ای',
				'description' => 'محتوای شبکه ای فوتر',
				'parent' => $footer_panel,
			)
		);

		libero_mikado_add_admin_field(
			array(
				'type' => 'yesno',
				'name' => 'show_footer_top',
				'default_value' => 'yes',
				'label' => 'نمایش بالای فوتر',
				'description' => '',
				'args' => array(
					'dependence' => true,
					'dependence_hide_on_yes' => '',
					'dependence_show_on_yes' => '#mkd_show_footer_top_container'
				),
				'parent' => $footer_panel,
			)
		);

		$show_footer_top_container = libero_mikado_add_admin_container(
			array(
				'name' => 'show_footer_top_container',
				'hidden_property' => 'show_footer_top',
				'hidden_value' => 'no',
				'parent' => $footer_panel
			)
		);

		libero_mikado_add_admin_field(
			array(
				'type' => 'select',
				'name' => 'footer_top_columns',
				'default_value' => '4',
				'label' => 'ستون های فوتر بالایی',
				'description' => '',
				'options' => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'5' => '3(25%+25%+50%)',
					'6' => '3(50%+25%+25%)',
					'4' => '4'
				),
				'parent' => $show_footer_top_container,
			)
		);

		libero_mikado_add_admin_field(
			array(
				'type' => 'select',
				'name' => 'footer_top_columns_alignment',
				'default_value' => '',
				'label' => 'تراز ستون های فوتر بالایی',
				'description' => 'تراز متن محتوای فوتر',
				'options' => array(
					'left' => 'چپ',
					'center' => 'وسط',
					'right' => 'راست'
				),
				'parent' => $show_footer_top_container,
			)
		);

		libero_mikado_add_admin_field(
			array(
				'type' => 'image',
				'name' => 'footer_top_background_image',
				'default_value' => '',
				'label' => 'تصویر پس زمینه فوتر بالایی',
				'description' => '',
				'parent' => $show_footer_top_container,
			)
		);

		libero_mikado_add_admin_field(
			array(
				'type' => 'yesno',
				'name' => 'show_footer_bottom',
				'default_value' => 'yes',
				'label' => 'نمایش فوتر پایین',
				'description' => '',
				'args' => array(
					'dependence' => true,
					'dependence_hide_on_yes' => '',
					'dependence_show_on_yes' => '#mkd_show_footer_bottom_container'
				),
				'parent' => $footer_panel,
			)
		);

		$show_footer_bottom_container = libero_mikado_add_admin_container(
			array(
				'name' => 'show_footer_bottom_container',
				'hidden_property' => 'show_footer_bottom',
				'hidden_value' => 'no',
				'parent' => $footer_panel
			)
		);


		libero_mikado_add_admin_field(
			array(
				'type' => 'select',
				'name' => 'footer_bottom_columns',
				'default_value' => '3',
				'label' => 'ستون های فوتر پایین',
				'description' => '',
				'options' => array(
					'1' => '1',
					'2' => '2',
					'3' => '3'
				),
				'parent' => $show_footer_bottom_container,
			)
		);

	}

	add_action( 'libero_mikado_options_map', 'libero_mikado_footer_options_map', 8);

}