<?php

if ( ! function_exists('libero_mikado_logo_options_map') ) {

	function libero_mikado_logo_options_map() {

		$panel_logo = libero_mikado_add_admin_panel(
			array(
				'page' => '',
				'name' => 'panel_logo',
				'title' => 'برندینگ'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $panel_logo,
				'type' => 'yesno',
				'name' => 'hide_logo',
				'default_value' => 'no',
				'label' => 'مخفی کردن لوگو',
				'description' => '',
				'args' => array(
					"dependence" => true,
					"dependence_hide_on_yes" => "#mkd_hide_logo_container",
					"dependence_show_on_yes" => ""
				)
			)
		);

		$hide_logo_container = libero_mikado_add_admin_container(
			array(
				'parent' => $panel_logo,
				'name' => 'hide_logo_container',
				'hidden_property' => 'hide_logo',
				'hidden_value' => 'yes'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'name' => 'logo_image',
				'type' => 'image',
				'default_value' => MIKADO_ASSETS_ROOT."/img/logo.png",
				'label' => 'تصویر لوگو - پیشفرض',
				'description' => 'یک تصویر برای لوگو انتخاب کنید',
				'parent' => $hide_logo_container
			)
		);

		libero_mikado_add_admin_field(
			array(
				'name' => 'logo_image_dark',
				'type' => 'image',
				'default_value' => MIKADO_ASSETS_ROOT."/img/logo_black.png",
				'label' => 'تصویر لوگو - تیره',
				'description' => ' ',
				'parent' => $hide_logo_container
			)
		);

		libero_mikado_add_admin_field(
			array(
				'name' => 'logo_image_light',
				'type' => 'image',
				'default_value' => MIKADO_ASSETS_ROOT."/img/logo_white.png",
				'label' => 'تصویر لوگو - روشن',
				'description' => '',
				'parent' => $hide_logo_container
			)
		);

		libero_mikado_add_admin_field(
			array(
				'name' => 'logo_image_sticky',
				'type' => 'image',
				'default_value' => MIKADO_ASSETS_ROOT."/img/logo_sticky.png",
				'label' => 'تصویر لوگو - چسبان',
				'description' => '',
				'parent' => $hide_logo_container
			)
		);

		libero_mikado_add_admin_field(
			array(
				'name' => 'logo_image_mobile',
				'type' => 'image',
				'default_value' => MIKADO_ASSETS_ROOT."/img/logo.png",
				'label' => 'تصویر لوگو - موبایل',
				'description' => '',
				'parent' => $hide_logo_container
			)
		);

	}

	add_action( 'libero_mikado_before_general_options_map', 'libero_mikado_logo_options_map');

}