<?php

if ( ! function_exists('libero_mikado_mobile_header_options_map') ) {

	function libero_mikado_mobile_header_options_map() {

		$panel_mobile_header = libero_mikado_add_admin_panel(array(
			'title' => 'سربرگ موبایل',
			'name'  => 'panel_mobile_header',
			'page'  => '_header_page'
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_header_height',
			'type'        => 'text',
			'label'       => 'ارتفاع سربرگ موبایل',
			'description' => 'به پیکسل',
			'parent'      => $panel_mobile_header,
			'args'        => array(
				'col_width' => 3,
				'suffix'    => 'px'
			)
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_header_background_color',
			'type'        => 'color',
			'label'       => 'رنگ پس زمینه سربرگ موبایل',
			'description' => '',
			'parent'      => $panel_mobile_header
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_menu_background_color',
			'type'        => 'color',
			'label'       => 'رنگ پس زمینه منوی موبایل',
			'description' => 'Choose color for mobile menu',
			'parent'      => $panel_mobile_header
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_menu_separator_color',
			'type'        => 'color',
			'label'       => 'رنگ جدا کننده موارد منوی موبایل',
			'description' => '',
			'parent'      => $panel_mobile_header
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_logo_height',
			'type'        => 'text',
			'label'       => 'ارتفاع لوگو برای سربرگ موبایل',
			'description' => 'برای دستگاه های زیر 1000 پیکسل',
			'parent'      => $panel_mobile_header,
			'args'        => array(
				'col_width' => 3,
				'suffix'    => 'px'
			)
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_logo_height_phones',
			'type'        => 'text',
			'label'       => 'ارتفاع لوگو برای دستگاه های موبایل',
			'description' => 'برای دستگاه های زیر 480 پیکسل',
			'parent'      => $panel_mobile_header,
			'args'        => array(
				'col_width' => 3,
				'suffix'    => 'px'
			)
		));

		libero_mikado_add_admin_section_title(array(
			'parent' => $panel_mobile_header,
			'name'   => 'mobile_header_fonts_title',
			'title'  => 'تایپوگرافی'
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_text_color',
			'type'        => 'color',
			'label'       => 'رنگ متن منو',
			'description' => '',
			'parent'      => $panel_mobile_header
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_text_hover_color',
			'type'        => 'color',
			'label'       => 'رنگ متن حالت شناور و فعال',
			'description' => '',
			'parent'      => $panel_mobile_header
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_font_family',
			'type'        => 'font',
			'label'       => 'خانواده فونت',
			'description' => '',
			'parent'      => $panel_mobile_header
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_font_size',
			'type'        => 'text',
			'label'       => 'اندازه فونت منو',
			'description' => '',
			'parent'      => $panel_mobile_header,
			'args'        => array(
				'col_width' => 3,
				'suffix'    => 'px'
			)
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_line_height',
			'type'        => 'text',
			'label'       => 'ارتفاع خط',
			'description' => '',
			'parent'      => $panel_mobile_header,
			'args'        => array(
				'col_width' => 3,
				'suffix'    => 'px'
			)
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_text_transform',
			'type'        => 'select',
			'label'       => 'نوع حروف منو',
			'description' => '',
			'parent'      => $panel_mobile_header,
			'options'     => libero_mikado_get_text_transform_array(true)
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_font_style',
			'type'        => 'select',
			'label'       => 'استایل فونت منو',
			'description' => '',
			'parent'      => $panel_mobile_header,
			'options'     => libero_mikado_get_font_style_array(true)
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_font_weight',
			'type'        => 'select',
			'label'       => 'ضخامت فونت منو',
			'description' => '',
			'parent'      => $panel_mobile_header,
			'options'     => libero_mikado_get_font_weight_array(true)
		));

		libero_mikado_add_admin_section_title(array(
			'name' => 'mobile_opener_panel',
			'parent' => $panel_mobile_header,
			'title' => 'بازکننده منوی موبایل'
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_icon_color',
			'type'        => 'color',
			'label'       => 'رنگ آیکون منوی موبایل',
			'description' => '',
			'parent'      => $panel_mobile_header
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'mobile_icon_hover_color',
			'type'        => 'color',
			'label'       => 'رنگ حالت شناور آیکون منوی موبایل',
			'description' => '',
			'parent'      => $panel_mobile_header
		));

	}

	add_action( 'libero_mikado_after_header_options_map', 'libero_mikado_mobile_header_options_map');

}