<?php

if ( ! function_exists('libero_mikado_portfolio_options_map') ) {

	function libero_mikado_portfolio_options_map() {

		libero_mikado_add_admin_page(array(
			'slug'  => '_portfolio',
			'title' => 'نمونه کار',
			'icon'  => 'icon_images'
		));

		$panel = libero_mikado_add_admin_panel(array(
			'title' => 'Portfolio Single',
			'name'  => 'panel_portfolio_single',
			'page'  => '_portfolio'
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'portfolio_single_template',
			'type'        => 'select',
			'label'       => 'نوع نمونه کار',
			'default_value'	=> 'small-images',
			'description' => 'یک نوع پیشفرض برای برگه نمونه کار انتخاب کنید',
			'parent'      => $panel,
			'options'     => array(
				'small-images' => 'تصاویر کوچک',
				'small-slider' => 'اسلایدر کوچک',
				'big-images' => 'تصاویر بزرگ',
				'big-slider' => 'اسلایدر بزرگ',
				'custom' => 'نمونه کار سفارشی',
				'full-width-custom' => 'نمونه کار تمام عرض سفارشی',
				'gallery' => 'گالری تصویر'
			)
		));

		libero_mikado_add_admin_field(array(
			'name'          => 'portfolio_single_lightbox_images',
			'type'          => 'yesno',
			'label'         => 'لایت باکس برای تصاویر',
			'description'   => 'با فعالسازی این گزینه تصاویر به صورت لایت باکس نمایش داده خواهند شد.',
			'parent'        => $panel,
			'default_value' => 'yes'
		));

		libero_mikado_add_admin_field(array(
			'name'          => 'portfolio_single_lightbox_videos',
			'type'          => 'yesno',
			'label'         => 'لایت باکس برای ویدئوها',
			'description'   => '',
			'parent'        => $panel,
			'default_value' => 'no'
		));

		libero_mikado_add_admin_field(array(
			'name'          => 'portfolio_single_hide_categories',
			'type'          => 'yesno',
			'label'         => 'مخفی کردن دسته بندی ها',
			'description'   => '',
			'parent'        => $panel,
			'default_value' => 'no'
		));

		libero_mikado_add_admin_field(array(
			'name'          => 'portfolio_single_hide_date',
			'type'          => 'yesno',
			'label'         => 'مخفی کردن تاریخ',
			'description'   => '',
			'parent'        => $panel,
			'default_value' => 'no'
		));

        libero_mikado_add_admin_field(array(
            'name'          => 'portfolio_single_hide_related',
            'type'          => 'yesno',
            'label'         => 'مخفی کردن پروژه های مشابه',
            'description'   => '',
            'parent'        => $panel,
            'default_value' => 'no'
        ));

		libero_mikado_add_admin_field(array(
			'name'          => 'portfolio_single_comments',
			'type'          => 'yesno',
			'label'         => 'نمایش دیدگاه ها',
			'description'   => '',
			'parent'        => $panel,
			'default_value' => 'no'
		));

		libero_mikado_add_admin_field(array(
			'name'          => 'portfolio_single_sticky_sidebar',
			'type'          => 'yesno',
			'label'         => 'متن چسبان کناری',
			'description'   => 'با فعال کردن این گزینه متن کنار پروژه به صورت چسبان اسکرول خواهد شد.',
			'parent'        => $panel,
			'default_value' => 'yes'
		));

		libero_mikado_add_admin_field(array(
			'name'          => 'portfolio_single_hide_pagination',
			'type'          => 'yesno',
			'label'         => 'مخفی کردن صفحه بندی',
			'description'   => '',
			'parent'        => $panel,
			'default_value' => 'no',
			'args' => array(
				'dependence' => true,
				'dependence_hide_on_yes' => '#mkd_navigate_same_category_container'
			)
		));

		$container_navigate_category = libero_mikado_add_admin_container(array(
			'name'            => 'navigate_same_category_container',
			'parent'          => $panel,
			'hidden_property' => 'portfolio_single_hide_pagination',
			'hidden_value'    => 'yes'
		));

		libero_mikado_add_admin_field(array(
			'name'            => 'portfolio_single_nav_same_category',
			'type'            => 'yesno',
			'label'           => 'فعال کردن صفحه بندی برای دسته بندی انتخاب شده',
			'description'     => '',
			'parent'          => $container_navigate_category,
			'default_value'   => 'no'
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'portfolio_single_numb_columns',
			'type'        => 'select',
			'label'       => 'تعداد ستون ها',
			'default_value' => 'three-columns',
			'description' => 'تعداد ستون ها را وارد کنید',
			'parent'      => $panel,
			'options'     => array(
				'two-columns' => '2 ستونه',
				'three-columns' => '3 ستونه',
				'four-columns' => '4 ستونه'
			)
		));

		libero_mikado_add_admin_field(array(
			'name'        => 'portfolio_single_slug',
			'type'        => 'text',
			'label'       => 'Portfolio Single Slug',
			'description' => 'اگر می خواهید از یک نامک متفاوت استفاده کنید آن را وارد کنید(توجه کنید : بعد از وارد کردن نامک به ترتیب به بخش تنظیمات و سپس پیوندهای یکتا رفته و دکمه ذخیره را بزنید تا تغییرات موثر واقع شود',
			'parent'      => $panel,
			'args'        => array(
				'col_width' => 3
			)
		));

	}

	add_action( 'libero_mikado_options_map', 'libero_mikado_portfolio_options_map',11);

}