<?php

if ( ! function_exists('libero_mikado_search_options_map') ) {

	function libero_mikado_search_options_map() {

		libero_mikado_add_admin_page(
			array(
				'slug' => '_search_page',
				'title' => 'جستجو',
				'icon' => 'icon_search'
			)
		);

		$search_panel = libero_mikado_add_admin_panel(
			array(
				'title' => 'جستجو',
				'name' => 'search',
				'page' => '_search_page'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_panel,
				'type'			=> 'select',
				'name'			=> 'search_type',
				'default_value'	=> 'search-covers-header',
				'label' 		=> 'نوع جستجو را انتخاب کنید',
				'description' 	=> "توجه کنید : جستجوی نوع پایین سربرگ با سربرگ نوع شفاف همخوانی ندارد.",
				'options' 		=> array(
					'search-slides-from-header-bottom' => 'از پایین سربرگ',
					'search-covers-header' => 'پوشش روی سربرگ',
					'fullscreen-search' => 'جستجوی تمام صفحه',
					'search-slides-from-window-top' => 'از بالای پنجره'
				),
				'args'			=> array(
					'dependence'=> true,
					'hide'		=> array(
						'search-slides-from-header-bottom' => '#mkd_search_animation_container',
						'search-covers-header' => '#mkd_search_height_container, #mkd_search_animation_container',
						'fullscreen-search' => '#mkd_search_height_container',
						'search-slides-from-window-top' => '#mkd_search_height_container, #mkd_search_animation_container'
					),
					'show'		=> array(
						'search-slides-from-header-bottom' => '#mkd_search_height_container',
						'search-covers-header' => '',
						'fullscreen-search' => '#mkd_search_animation_container',
						'search-slides-from-window-top' => ''
					)
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_panel,
				'type'			=> 'select',
				'name'			=> 'search_icon_pack',
				'default_value'	=> 'ion_icons',
				'label'			=> 'پک آیکون جستجو',
				'description'	=> '',
				'options'		=> libero_mikado_icon_collections()->getIconCollectionsExclude(array('linea_icons', 'dripicons'))
			)
		);

		$search_height_container = libero_mikado_add_admin_container(
			array(
				'parent'			=> $search_panel,
				'name'				=> 'search_height_container',
				'hidden_property'	=> 'search_type',
				'hidden_value'		=> '',
				'hidden_values'		=> array(
					'search-covers-header',
					'fullscreen-search',
					'search-slides-from-window-top'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_height_container,
				'type'			=> 'text',
				'name'			=> 'search_height',
				'default_value'	=> '',
				'label'			=> 'ارتفاع نوار جستجو',
				'description'	=> 'تنظیم ارتفاع جستجو',
				'args'			=> array(
					'col_width' => 3,
					'suffix'	=> 'px'
				)
			)
		);

		$search_animation_container = libero_mikado_add_admin_container(
			array(
				'parent'			=> $search_panel,
				'name'				=> 'search_animation_container',
				'hidden_property'	=> 'search_type',
				'hidden_value'		=> '',
				'hidden_values'		=> array(
					'search-covers-header',
					'search-slides-from-header-bottom',
					'search-slides-from-window-top'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_animation_container,
				'type'			=> 'select',
				'name'			=> 'search_animation',
				'default_value'	=> 'search-fade',
				'label'			=> 'انیمیشن جستجوی تمام صفحه',
				'description'	=> 'یک انیمیشن انتخاب کنید',
				'options'		=> array(
					'search-fade'			=> 'Fade',
					'search-from-circle'	=> 'Circle appear'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_panel,
				'type'			=> 'yesno',
				'name'			=> 'search_in_grid',
				'default_value'	=> 'yes',
				'label'			=> 'ناحیه جستجو شبکه ای',
				'description'	=> 'تنظیمت ناحیه جستجو به صورت شبکه ای',
			)
		);

		libero_mikado_add_admin_section_title(
			array(
				'parent' 	=> $search_panel,
				'name'		=> 'initial_header_icon_title',
				'title'		=> 'آیکون جستجو در سربرگ'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_panel,
				'type'			=> 'text',
				'name'			=> 'header_search_icon_size',
				'default_value'	=> '',
				'label'			=> 'اندازه آیکون',
				'description'	=> ' ',
				'args'			=> array(
					'col_width' => 3,
					'suffix'	=> 'px'
				)
			)
		);

		$search_icon_color_group = libero_mikado_add_admin_group(
			array(
				'parent'	=> $search_panel,
				'title'		=> 'رنگ های آیکون',
				'description'	=> '',
				'name'		=> 'search_icon_color_group'
			)
		);

		$search_icon_color_row = libero_mikado_add_admin_row(
			array(
				'parent'	=> $search_icon_color_group,
				'name'		=> 'search_icon_color_row'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'	=> $search_icon_color_row,
				'type'		=> 'colorsimple',
				'name'		=> 'header_search_icon_color',
				'label'		=> 'رنگ'
			)
		);
		libero_mikado_add_admin_field(
			array(
				'parent' => $search_icon_color_row,
				'type'		=> 'colorsimple',
				'name'		=> 'header_search_icon_hover_color',
				'label'		=> 'رنگ حالت شناور'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_panel,
				'type'			=> 'yesno',
				'name'			=> 'enable_search_icon_text',
				'default_value'	=> 'yes',
				'label'			=> 'فعال سازی متن آیکون جستجو',
				'description'	=> "فعال سازی این گزینه کلمه جستجو را زیر آیکون نمایش می دهد",
				'args'			=> array(
					'dependence' => true,
					'dependence_hide_on_yes' => '',
					'dependence_show_on_yes' => '#mkd_enable_search_icon_text_container'
				)
			)
		);

		$enable_search_icon_text_container = libero_mikado_add_admin_container(
			array(
				'parent'			=> $search_panel,
				'name'				=> 'enable_search_icon_text_container',
				'hidden_property'	=> 'enable_search_icon_text',
				'hidden_value'		=> 'no'
			)
		);

		$enable_search_icon_text_group = libero_mikado_add_admin_group(
			array(
				'parent'	=> $enable_search_icon_text_container,
				'title'		=> 'متن آیکون جستجو',
				'name'		=> 'enable_search_icon_text_group',
				'description'	=> 'استایل برای متن آیکون جستجو تعریف کنید'
			)
		);

		$enable_search_icon_text_row = libero_mikado_add_admin_row(
			array(
				'parent'	=> $enable_search_icon_text_group,
				'name'		=> 'enable_search_icon_text_row'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $enable_search_icon_text_row,
				'type'			=> 'colorsimple',
				'name'			=> 'search_icon_text_color',
				'label'			=> 'رنگ متن',
				'default_value'	=> ''
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $enable_search_icon_text_row,
				'type'			=> 'colorsimple',
				'name'			=> 'search_icon_text_color_hover',
				'label'			=> 'رنگ متن حالت شناور',
				'default_value'	=> ''
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $enable_search_icon_text_row,
				'type'			=> 'textsimple',
				'name'			=> 'search_icon_text_fontsize',
				'label'			=> 'اندازه فونت',
				'default_value'	=> '',
				'args'			=> array(
					'suffix'	=> 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $enable_search_icon_text_row,
				'type'			=> 'textsimple',
				'name'			=> 'search_icon_text_lineheight',
				'label'			=> 'ارتفاع خط',
				'default_value'	=> '',
				'args'			=> array(
					'suffix'	=> 'px'
				)
			)
		);

		$enable_search_icon_text_row2 = libero_mikado_add_admin_row(
			array(
				'parent'	=> $enable_search_icon_text_group,
				'name'		=> 'enable_search_icon_text_row2',
				'next'		=> true
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $enable_search_icon_text_row2,
				'type'			=> 'selectblanksimple',
				'name'			=> 'search_icon_text_texttransform',
				'label'			=> 'نوع حروف متن',
				'default_value'	=> '',
				'options'		=> libero_mikado_get_text_transform_array()
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $enable_search_icon_text_row2,
				'type'			=> 'fontsimple',
				'name'			=> 'search_icon_text_google_fonts',
				'label'			=> 'خانواده فونت',
				'default_value'	=> '-1',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $enable_search_icon_text_row2,
				'type'			=> 'selectblanksimple',
				'name'			=> 'search_icon_text_fontstyle',
				'label'			=> 'استایل فونت',
				'default_value'	=> '',
				'options'		=> libero_mikado_get_font_style_array(),
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $enable_search_icon_text_row2,
				'type'			=> 'selectblanksimple',
				'name'			=> 'search_icon_text_fontweight',
				'label'			=> 'ضخامت فونت',
				'default_value'	=> '',
				'options'		=> libero_mikado_get_font_weight_array(),
			)
		);

		$enable_search_icon_text_row3 = libero_mikado_add_admin_row(
			array(
				'parent'	=> $enable_search_icon_text_group,
				'name'		=> 'enable_search_icon_text_row3',
				'next'		=> true
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $enable_search_icon_text_row3,
				'type'			=> 'textsimple',
				'name'			=> 'search_icon_text_letterspacing',
				'label'			=> 'فاصله بین حروف',
				'default_value'	=> '',
				'args'			=> array(
					'suffix'	=> 'px'
				)
			)
		);

		$search_icon_spacing_group = libero_mikado_add_admin_group(
			array(
				'parent'	=> $search_panel,
				'title'		=> 'فاصله های آیکون',
				'description'	=> 'تعریف فاصله های خارجی و داخلی برای آیکون جستجو',
				'name'		=> 'search_icon_spacing_group'
			)
		);

		$search_icon_spacing_row = libero_mikado_add_admin_row(
			array(
				'parent'	=> $search_icon_spacing_group,
				'name'		=> 'search_icon_spacing_row'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_icon_spacing_row,
				'type'			=> 'textsimple',
				'name'			=> 'search_padding_left',
				'default_value'	=> '',
				'label'			=> 'فاصله داخلی چپ',
				'args'			=> array(
					'suffix'	=> 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_icon_spacing_row,
				'type'			=> 'textsimple',
				'name'			=> 'search_padding_right',
				'default_value'	=> '',
				'label'			=> 'فاصله داخلی راست',
				'args'			=> array(
					'suffix'	=> 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_icon_spacing_row,
				'type'			=> 'textsimple',
				'name'			=> 'search_margin_left',
				'default_value'	=> '',
				'label'			=> 'فاصله خارجی چپ',
				'args'			=> array(
					'suffix'	=> 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_icon_spacing_row,
				'type'			=> 'textsimple',
				'name'			=> 'search_margin_right',
				'default_value'	=> '',
				'label'			=> 'فاصله داخلی راست',
				'args'			=> array(
					'suffix'	=> 'px'
				)
			)
		);

		libero_mikado_add_admin_section_title(
			array(
				'parent' 	=> $search_panel,
				'name'		=> 'search_form_title',
				'title'		=> 'نوار جستجو'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_panel,
				'type'			=> 'color',
				'name'			=> 'search_background_color',
				'default_value'	=> '',
				'label'			=> 'رنگ پس زمینه',
				'description'	=> 'رنپ پس زمینه نوار جستجو را انتخاب کنید'
			)
		);

		$search_input_text_group = libero_mikado_add_admin_group(
			array(
				'parent'	=> $search_panel,
				'title'		=> 'متن ورودی جستجو',
				'description'	=> 'تعریف استایل',
				'name'		=> 'search_input_text_group'
			)
		);

		$search_input_text_row = libero_mikado_add_admin_row(
			array(
				'parent'	=> $search_input_text_group,
				'name'		=> 'search_input_text_row'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_input_text_row,
				'type'			=> 'colorsimple',
				'name'			=> 'search_text_color',
				'default_value'	=> '',
				'label'			=> 'رنگ متن',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_input_text_row,
				'type'			=> 'colorsimple',
				'name'			=> 'search_text_disabled_color',
				'default_value'	=> '',
				'label'			=> 'رنگ متن غیر فعال شده',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_input_text_row,
				'type'			=> 'textsimple',
				'name'			=> 'search_text_fontsize',
				'default_value'	=> '',
				'label'			=> 'اندازه فونت',
				'args'			=> array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_input_text_row,
				'type'			=> 'selectblanksimple',
				'name'			=> 'search_text_texttransform',
				'default_value'	=> '',
				'label'			=> 'نوع حروف متن',
				'options'		=> libero_mikado_get_text_transform_array()
			)
		);

		$search_input_text_row2 = libero_mikado_add_admin_row(
			array(
				'parent'	=> $search_input_text_group,
				'name'		=> 'search_input_text_row2'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_input_text_row2,
				'type'			=> 'fontsimple',
				'name'			=> 'search_text_google_fonts',
				'default_value'	=> '-1',
				'label'			=> 'خانواده فونت',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_input_text_row2,
				'type'			=> 'selectblanksimple',
				'name'			=> 'search_text_fontstyle',
				'default_value'	=> '',
				'label'			=> 'استایل فونت',
				'options'		=> libero_mikado_get_font_style_array(),
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_input_text_row2,
				'type'			=> 'selectblanksimple',
				'name'			=> 'search_text_fontweight',
				'default_value'	=> '',
				'label'			=> 'ضخامت فونت',
				'options'		=> libero_mikado_get_font_weight_array()
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_input_text_row2,
				'type'			=> 'textsimple',
				'name'			=> 'search_text_letterspacing',
				'default_value'	=> '',
				'label'			=> 'فاصله حروف',
				'args'			=> array(
					'suffix'	=> 'px'
				)
			)
		);

		$search_label_text_group = libero_mikado_add_admin_group(
			array(
				'parent'	=> $search_panel,
				'title'		=> 'متن لیبل جستجو',
				'description'	=> 'تعریف استایل',
				'name'		=> 'search_label_text_group'
			)
		);

		$search_label_text_row = libero_mikado_add_admin_row(
			array(
				'parent'	=> $search_label_text_group,
				'name'		=> 'search_label_text_row'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_label_text_row,
				'type'			=> 'colorsimple',
				'name'			=> 'search_label_text_color',
				'default_value'	=> '',
				'label'			=> 'رنگ متن',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_label_text_row,
				'type'			=> 'textsimple',
				'name'			=> 'search_label_text_fontsize',
				'default_value'	=> '',
				'label'			=> 'اندازه فونت',
				'args'			=> array(
					'suffix'	=> 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_label_text_row,
				'type'			=> 'selectblanksimple',
				'name'			=> 'search_label_text_texttransform',
				'default_value'	=> '',
				'label'			=> 'نوع حروف',
				'options'		=> libero_mikado_get_text_transform_array()
			)
		);

		$search_label_text_row2 = libero_mikado_add_admin_row(
			array(
				'parent'	=> $search_label_text_group,
				'name'		=> 'search_label_text_row2',
				'next'		=> true
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_label_text_row2,
				'type'			=> 'fontsimple',
				'name'			=> 'search_label_text_google_fonts',
				'default_value'	=> '-1',
				'label'			=> 'خانواده فونت',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_label_text_row2,
				'type'			=> 'selectblanksimple',
				'name'			=> 'search_label_text_fontstyle',
				'default_value'	=> '',
				'label'			=> 'استایل فونت',
				'options'		=> libero_mikado_get_font_style_array()
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_label_text_row2,
				'type'			=> 'selectblanksimple',
				'name'			=> 'search_label_text_fontweight',
				'default_value'	=> '',
				'label'			=> 'ضخامت فونت',
				'options'		=> libero_mikado_get_font_weight_array()
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_label_text_row2,
				'type'			=> 'textsimple',
				'name'			=> 'search_label_text_letterspacing',
				'default_value'	=> '',
				'label'			=> 'فاصله حروف',
				'args'			=> array(
					'suffix'	=> 'px'
				)
			)
		);

		$search_icon_group = libero_mikado_add_admin_group(
			array(
				'parent'	=> $search_panel,
				'title'		=> 'آیکون جستجو',
				'description'	=> '',
				'name'		=> 'search_icon_group'
			)
		);

		$search_icon_row = libero_mikado_add_admin_row(
			array(
				'parent'	=> $search_icon_group,
				'name'		=> 'search_icon_row'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_icon_row,
				'type'			=> 'colorsimple',
				'name'			=> 'search_icon_color',
				'default_value'	=> '',
				'label'			=> 'رنگ آیکون',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_icon_row,
				'type'			=> 'colorsimple',
				'name'			=> 'search_icon_hover_color',
				'default_value'	=> '',
				'label'			=> 'رنگ حالت شناور آیکون',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_icon_row,
				'type'			=> 'colorsimple',
				'name'			=> 'search_icon_disabled_color',
				'default_value'	=> '',
				'label'			=> 'Icon Disabled Color',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_icon_row,
				'type'			=> 'textsimple',
				'name'			=> 'search_icon_size',
				'default_value'	=> '',
				'label'			=> 'اندازه آیکون',
				'args'			=> array(
					'suffix'	=> 'px'
				)
			)
		);

		$search_close_icon_group = libero_mikado_add_admin_group(
			array(
				'parent'	=> $search_panel,
				'title'		=> 'بستن جستجو',
				'description'	=> 'تعریف استایل برای دکمه بستن جستجو',
				'name'		=> 'search_close_icon_group'
			)
		);

		$search_close_icon_row = libero_mikado_add_admin_row(
			array(
				'parent'	=> $search_close_icon_group,
				'name'		=> 'search_icon_row'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_close_icon_row,
				'type'			=> 'colorsimple',
				'name'			=> 'search_close_color',
				'label'			=> 'رنگ آیکون',
				'default_value'	=> ''
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_close_icon_row,
				'type'			=> 'colorsimple',
				'name'			=> 'search_close_hover_color',
				'label'			=> 'رنگ حالت شناور آیکون',
				'default_value'	=> ''
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent'		=> $search_close_icon_row,
				'type'			=> 'textsimple',
				'name'			=> 'search_close_size',
				'label'			=> 'Icon Size',
				'default_value'	=> '',
				'args'			=> array(
					'suffix'	=> 'px'
				)
			)
		);

	}

	add_action('libero_mikado_options_map', 'libero_mikado_search_options_map', 5);

}