<?php

if(!function_exists('libero_mikado_button_map')) {
    function libero_mikado_button_map() {
        $panel = libero_mikado_add_admin_panel(array(
            'title' => 'دکمه ها',
            'name'  => 'panel_button',
            'page'  => '_elements_page'
        ));

        //Typography options
        libero_mikado_add_admin_section_title(array(
            'name' => 'typography_section_title',
            'title' => 'تایپوگرافی',
            'parent' => $panel
        ));

        $typography_group = libero_mikado_add_admin_group(array(
            'name' => 'typography_group',
            'title' => 'تایپوگرافی',
            'description' => 'برای همه نوع دکمه ها',
            'parent' => $panel
        ));

        $typography_row = libero_mikado_add_admin_row(array(
            'name' => 'typography_row',
            'next' => true,
            'parent' => $typography_group
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $typography_row,
            'type'          => 'fontsimple',
            'name'          => 'button_font_family',
            'default_value' => '',
            'label'         => 'خانواده فونت',
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $typography_row,
            'type'          => 'selectsimple',
            'name'          => 'button_text_transform',
            'default_value' => '',
            'label'         => 'نوع حروف',
            'options'       => libero_mikado_get_text_transform_array()
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $typography_row,
            'type'          => 'selectsimple',
            'name'          => 'button_font_style',
            'default_value' => '',
            'label'         => 'استایل فونت',
            'options'       => libero_mikado_get_font_style_array()
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $typography_row,
            'type'          => 'textsimple',
            'name'          => 'button_letter_spacing',
            'default_value' => '',
            'label'         => 'فاصله حروف',
            'args'          => array(
                'suffix' => 'px'
            )
        ));

        $typography_row2 = libero_mikado_add_admin_row(array(
            'name' => 'typography_row2',
            'next' => true,
            'parent' => $typography_group
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $typography_row2,
            'type'          => 'selectsimple',
            'name'          => 'button_font_weight',
            'default_value' => '',
            'label'         => 'ضخامت فونت',
            'options'       => libero_mikado_get_font_weight_array()
        ));

        //Outline type options
        libero_mikado_add_admin_section_title(array(
            'name' => 'type_section_title',
            'title' => 'انواع',
            'parent' => $panel
        ));

        $outline_group = libero_mikado_add_admin_group(array(
            'name' => 'outline_group',
            'title' => 'نوع خط خارجی',
            'description' => '',
            'parent' => $panel
        ));

        $outline_row = libero_mikado_add_admin_row(array(
            'name' => 'outline_row',
            'next' => true,
            'parent' => $outline_group
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $outline_row,
            'type'          => 'colorsimple',
            'name'          => 'btn_outline_text_color',
            'default_value' => '',
            'label'         => 'رنگ متن',
            'description'   => ''
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $outline_row,
            'type'          => 'colorsimple',
            'name'          => 'btn_outline_hover_text_color',
            'default_value' => '',
            'label'         => 'رنگ متن شناور',
            'description'   => ''
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $outline_row,
            'type'          => 'colorsimple',
            'name'          => 'btn_outline_hover_bg_color',
            'default_value' => '',
            'label'         => 'رنگ پس زمینه حالت شناور',
            'description'   => ''
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $outline_row,
            'type'          => 'colorsimple',
            'name'          => 'btn_outline_border_color',
            'default_value' => '',
            'label'         => 'رنگ حاشیه',
            'description'   => ''
        ));

        $outline_row2 = libero_mikado_add_admin_row(array(
            'name' => 'outline_row2',
            'next' => true,
            'parent' => $outline_group
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $outline_row2,
            'type'          => 'colorsimple',
            'name'          => 'btn_outline_hover_border_color',
            'default_value' => '',
            'label'         => 'رنگ حاشیه حالت شناور',
            'description'   => ''
        ));

        //Solid type options
        $solid_group = libero_mikado_add_admin_group(array(
            'name' => 'solid_group',
            'title' => 'نوع جامد',
            'description' => '',
            'parent' => $panel
        ));

        $solid_row = libero_mikado_add_admin_row(array(
            'name' => 'solid_row',
            'next' => true,
            'parent' => $solid_group
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $solid_row,
            'type'          => 'colorsimple',
            'name'          => 'btn_solid_text_color',
            'default_value' => '',
            'label'         => 'رنگ متن',
            'description'   => ''
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $solid_row,
            'type'          => 'colorsimple',
            'name'          => 'btn_solid_hover_text_color',
            'default_value' => '',
            'label'         => 'رنگ متن شناور',
            'description'   => ''
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $solid_row,
            'type'          => 'colorsimple',
            'name'          => 'btn_solid_bg_color',
            'default_value' => '',
            'label'         => 'رنگ پس زمینه',
            'description'   => ''
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $solid_row,
            'type'          => 'colorsimple',
            'name'          => 'btn_solid_hover_bg_color',
            'default_value' => '',
            'label'         => 'رنگ پس زمینه حالت شناور',
            'description'   => ''
        ));

        $solid_row2 = libero_mikado_add_admin_row(array(
            'name' => 'solid_row2',
            'next' => true,
            'parent' => $solid_group
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $solid_row2,
            'type'          => 'colorsimple',
            'name'          => 'btn_solid_border_color',
            'default_value' => '',
            'label'         => 'رنگ حاشیه',
            'description'   => ''
        ));

        libero_mikado_add_admin_field(array(
            'parent'        => $solid_row2,
            'type'          => 'colorsimple',
            'name'          => 'btn_solid_hover_border_color',
            'default_value' => '',
            'label'         => 'رنگ حاشیه حالت شناور',
            'description'   => ''
        ));
    }

    add_action('libero_mikado_options_elements_map', 'libero_mikado_button_map',2);
}