<?php

if ( ! function_exists('libero_mikado_sidearea_options_map') ) {

	function libero_mikado_sidearea_options_map() {

		libero_mikado_add_admin_page(
			array(
				'slug' => '_side_area_page',
				'title' => 'ناحیه ستون کناری',
				'icon' => 'icon_menu'
			)
		);

		$side_area_panel = libero_mikado_add_admin_panel(
			array(
				'title' => 'ناحیه کنار صفحه',
				'name' => 'side_area',
				'page' => '_side_area_page'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_panel,
				'type' => 'select',
				'name' => 'side_area_type',
				'default_value' => 'side-menu-slide-from-right',
				'label' => 'نوع ناحیه کناری',
				'description' => '',
				'options' => array(
					'side-menu-slide-from-right' => 'حرکت از راست و پوشش رو محتوا',
					'side-menu-slide-with-content' => 'حرکت از راست همراه محتوا',
					'side-area-uncovered-from-content' => 'بدون پوشش روی محتوا'
				),
				'args' => array(
					'dependence' => true,
					'hide' => array(
						'side-menu-slide-from-right' => '#mkd_side_area_slide_with_content_container',
						'side-menu-slide-with-content' => '#mkd_side_area_width_container',
						'side-area-uncovered-from-content' => '#mkd_side_area_width_container, #mkd_side_area_slide_with_content_container'
					),
					'show' => array(
						'side-menu-slide-from-right' => '#mkd_side_area_width_container',
						'side-menu-slide-with-content' => '#mkd_side_area_slide_with_content_container',
						'side-area-uncovered-from-content' => ''
					)
				)
			)
		);

		$side_area_width_container = libero_mikado_add_admin_container(
			array(
				'parent' => $side_area_panel,
				'name' => 'side_area_width_container',
				'hidden_property' => 'side_area_type',
				'hidden_value' => '',
				'hidden_values' => array(
					'side-menu-slide-with-content',
					'side-area-uncovered-from-content'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_width_container,
				'type' => 'text',
				'name' => 'side_area_width',
				'default_value' => '',
				'label' => 'پهنای ناحیه کناری',
				'description' => '',
				'args' => array(
					'col_width' => 3,
					'suffix' => '%'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_width_container,
				'type' => 'color',
				'name' => 'side_area_content_overlay_color',
				'default_value' => '',
				'label' => 'رنگ پس زمینه محتوا',
				'description' => '',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_width_container,
				'type' => 'text',
				'name' => 'side_area_content_overlay_opacity',
				'default_value' => '',
				'label' => 'شفافیت پس زمینه',
				'description' => 'یک مقدار بین 01 تا 1 وارد کنید',
				'args' => array(
					'col_width' => 3
				)
			)
		);

		$side_area_slide_with_content_container = libero_mikado_add_admin_container(
			array(
				'parent' => $side_area_panel,
				'name' => 'side_area_slide_with_content_container',
				'hidden_property' => 'side_area_type',
				'hidden_value' => '',
				'hidden_values' => array(
					'side-menu-slide-from-right',
					'side-area-uncovered-from-content'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_slide_with_content_container,
				'type' => 'select',
				'name' => 'side_area_slide_with_content_width',
				'default_value' => 'width-470',
				'label' => 'پهنای ناحیه کناری',
				'description' => '',
				'options' => array(
					'width-270' => '270px',
					'width-370' => '370px',
					'width-470' => '470px'
				)
			)
		);

//init icon pack hide and show array. It will be populated dinamically from collections array
		$side_area_icon_pack_hide_array = array();
		$side_area_icon_pack_show_array = array();

//do we have some collection added in collections array?
		if (is_array(libero_mikado_icon_collections()->iconCollections) && count(libero_mikado_icon_collections()->iconCollections)) {
			//get collections params array. It will contain values of 'param' property for each collection
			$side_area_icon_collections_params = libero_mikado_icon_collections()->getIconCollectionsParams();

			//foreach collection generate hide and show array
			foreach (libero_mikado_icon_collections()->iconCollections as $dep_collection_key => $dep_collection_object) {
				$side_area_icon_pack_hide_array[$dep_collection_key] = '';

				//we need to include only current collection in show string as it is the only one that needs to show
				$side_area_icon_pack_show_array[$dep_collection_key] = '#mkd_side_area_icon_' . $dep_collection_object->param . '_container';

				//for all collections param generate hide string
				foreach ($side_area_icon_collections_params as $side_area_icon_collections_param) {
					//we don't need to include current one, because it needs to be shown, not hidden
					if ($side_area_icon_collections_param !== $dep_collection_object->param) {
						$side_area_icon_pack_hide_array[$dep_collection_key] .= '#mkd_side_area_icon_' . $side_area_icon_collections_param . '_container,';
					}
				}

				//remove remaining ',' character
				$side_area_icon_pack_hide_array[$dep_collection_key] = rtrim($side_area_icon_pack_hide_array[$dep_collection_key], ',');
			}

		}

		$side_area_icon_style_group = libero_mikado_add_admin_group(
			array(
				'parent' => $side_area_panel,
				'name' => 'side_area_icon_style_group',
				'title' => 'استایل آیکون',
				'description' => ''
			)
		);

		$side_area_icon_style_row1 = libero_mikado_add_admin_row(
			array(
				'parent'		=> $side_area_icon_style_group,
				'name'			=> 'side_area_icon_style_row1'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_icon_style_row1,
				'type' => 'colorsimple',
				'name' => 'side_area_icon_color',
				'default_value' => '',
				'label' => 'رنگ',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_icon_style_row1,
				'type' => 'colorsimple',
				'name' => 'side_area_icon_hover_color',
				'default_value' => '',
				'label' => 'رنگ حالت شناور',
			)
		);

		$icon_spacing_group = libero_mikado_add_admin_group(
			array(
				'parent' => $side_area_panel,
				'name' => 'icon_spacing_group',
				'title' => 'شکل آیکون',
				'description' => 'تعریف فاصله داخلی و خارجی آیکون ناحیه کناری'
			)
		);

		$icon_spacing_row = libero_mikado_add_admin_row(
			array(
				'parent'		=> $icon_spacing_group,
				'name'			=> 'icon_spancing_row',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $icon_spacing_row,
				'type' => 'textsimple',
				'name' => 'side_area_icon_padding_left',
				'default_value' => '',
				'label' => 'فاصله داخلی چپ',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $icon_spacing_row,
				'type' => 'textsimple',
				'name' => 'side_area_icon_padding_right',
				'default_value' => '',
				'label' => 'فاصله داخلی راست',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $icon_spacing_row,
				'type' => 'textsimple',
				'name' => 'side_area_icon_margin_left',
				'default_value' => '',
				'label' => 'فاصله خارجی چپ',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $icon_spacing_row,
				'type' => 'textsimple',
				'name' => 'side_area_icon_margin_right',
				'default_value' => '',
				'label' => 'فاصله خارجی راست',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

        libero_mikado_add_admin_field(
            array(
                'parent'		=> $side_area_panel,
                'type'			=> 'yesno',
                'name'			=> 'enable_side_area_icon_text',
                'default_value'	=> 'yes',
                'label'			=> 'فعال سازی متن آیکون',
                'description'	=> "",
                'args'			=> array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_enable_side_area_icon_text_container'
                )
            )
        );

        $enable_side_area_icon_text_container = libero_mikado_add_admin_container(
            array(
                'parent'			=> $side_area_panel,
                'name'				=> 'enable_side_area_icon_text_container',
                'hidden_property'	=> 'enable_side_area_icon_text',
                'hidden_value'		=> 'no'
            )
        );

        $enable_side_area_icon_text_group = libero_mikado_add_admin_group(
            array(
                'parent'	=> $enable_side_area_icon_text_container,
                'title'		=> 'متن آیکون',
                'name'		=> 'enable_side_area_icon_text_group',
                'description'	=> ''
            )
        );

        $enable_side_area_icon_text_row = libero_mikado_add_admin_row(
            array(
                'parent'	=> $enable_side_area_icon_text_group,
                'name'		=> 'enable_side_area_icon_text_row'
            )
        );

        libero_mikado_add_admin_field(
            array(
                'parent'		=> $enable_side_area_icon_text_row,
                'type'			=> 'colorsimple',
                'name'			=> 'side_area_icon_text_color',
                'label'			=> 'رنگ متن',
                'default_value'	=> ''
            )
        );

        libero_mikado_add_admin_field(
            array(
                'parent'		=> $enable_side_area_icon_text_row,
                'type'			=> 'colorsimple',
                'name'			=> 'side_area_icon_text_color_hover',
                'label'			=> 'رنگ متن شناور',
                'default_value'	=> ''
            )
        );

        libero_mikado_add_admin_field(
            array(
                'parent'		=> $enable_side_area_icon_text_row,
                'type'			=> 'textsimple',
                'name'			=> 'side_area_icon_text_fontsize',
                'label'			=> 'اندازه فونت',
                'default_value'	=> '',
                'args'			=> array(
                    'suffix'	=> 'px'
                )
            )
        );

        libero_mikado_add_admin_field(
            array(
                'parent'		=> $enable_side_area_icon_text_row,
                'type'			=> 'textsimple',
                'name'			=> 'side_area_icon_text_lineheight',
                'label'			=> 'ارتفاع خط',
                'default_value'	=> '',
                'args'			=> array(
                    'suffix'	=> 'px'
                )
            )
        );

        $enable_side_area_icon_text_row2 = libero_mikado_add_admin_row(
            array(
                'parent'	=> $enable_side_area_icon_text_group,
                'name'		=> 'enable_side_area_icon_text_row2',
                'next'		=> true
            )
        );

        libero_mikado_add_admin_field(
            array(
                'parent'		=> $enable_side_area_icon_text_row2,
                'type'			=> 'selectblanksimple',
                'name'			=> 'side_area_icon_text_texttransform',
                'label'			=> 'نوع حروف',
                'default_value'	=> '',
                'options'		=> libero_mikado_get_text_transform_array()
            )
        );

        libero_mikado_add_admin_field(
            array(
                'parent'		=> $enable_side_area_icon_text_row2,
                'type'			=> 'fontsimple',
                'name'			=> 'side_area_icon_text_google_fonts',
                'label'			=> 'خانواده فونت',
                'default_value'	=> '-1',
            )
        );

        libero_mikado_add_admin_field(
            array(
                'parent'		=> $enable_side_area_icon_text_row2,
                'type'			=> 'selectblanksimple',
                'name'			=> 'side_area_icon_text_fontstyle',
                'label'			=> 'استایل فونت',
                'default_value'	=> '',
                'options'		=> libero_mikado_get_font_style_array(),
            )
        );

        libero_mikado_add_admin_field(
            array(
                'parent'		=> $enable_side_area_icon_text_row2,
                'type'			=> 'selectblanksimple',
                'name'			=> 'side_area_icon_text_fontweight',
                'label'			=> 'ضخامت فونت',
                'default_value'	=> '',
                'options'		=> libero_mikado_get_font_weight_array(),
            )
        );

        $enable_side_area_icon_text_row3 = libero_mikado_add_admin_row(
            array(
                'parent'	=> $enable_side_area_icon_text_group,
                'name'		=> 'enable_side_area_icon_text_row3',
                'next'		=> true
            )
        );

        libero_mikado_add_admin_field(
            array(
                'parent'		=> $enable_side_area_icon_text_row3,
                'type'			=> 'textsimple',
                'name'			=> 'side_area_icon_text_letterspacing',
                'label'			=> 'فاصله حروف',
                'default_value'	=> '',
                'args'			=> array(
                    'suffix'	=> 'px'
                )
            )
        );

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_panel,
				'type' => 'selectblank',
				'name' => 'side_area_aligment',
				'default_value' => '',
				'label' => 'تراز متن',
				'description' => '',
				'options' => array(
					'center' => 'Center',
					'left' => 'Left',
					'right' => 'Right'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_panel,
				'type' => 'text',
				'name' => 'side_area_title',
				'default_value' => '',
				'label' => 'عنوان ناحیه کناری',
				'description' => '',
				'args' => array(
					'col_width' => 3,
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_panel,
				'type' => 'color',
				'name' => 'side_area_background_color',
				'default_value' => '',
				'label' => 'رنگ پس زمینه',
				'description' => '',
			)
		);

        libero_mikado_add_admin_field(
            array(
                'parent' => $side_area_panel,
                'type' => 'image',
                'name' => 'side_area_background_image',
                'default_value' => '',
                'label' => 'تصویر پس زمینه',
                'description' => '',
            )
        );

		$padding_group = libero_mikado_add_admin_group(
			array(
				'parent' => $side_area_panel,
				'name' => 'padding_group',
				'title' => 'فاصله داخلی',
				'description' => ''
			)
		);

		$padding_row = libero_mikado_add_admin_row(
			array(
				'parent' => $padding_group,
				'name' => 'padding_row',
				'next' => true
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $padding_row,
				'type' => 'textsimple',
				'name' => 'side_area_padding_top',
				'default_value' => '',
				'label' => 'فاصله داخلی بالا',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $padding_row,
				'type' => 'textsimple',
				'name' => 'side_area_padding_right',
				'default_value' => '',
				'label' => 'فاصله داخلی راست',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $padding_row,
				'type' => 'textsimple',
				'name' => 'side_area_padding_bottom',
				'default_value' => '',
				'label' => 'فاصله داخلی پایین',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $padding_row,
				'type' => 'textsimple',
				'name' => 'side_area_padding_left',
				'default_value' => '',
				'label' => 'فاصله داخلی چپ',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_panel,
				'type' => 'select',
				'name' => 'side_area_close_icon',
				'default_value' => 'light',
				'label' => 'انتخاب استایل آیکون',
				'description' => '',
				'options' => array(
					'light' => 'روشن',
					'dark' => 'تیره'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_panel,
				'type' => 'text',
				'name' => 'side_area_close_icon_size',
				'default_value' => '',
				'label' => 'انتخاب اندازه آیکون',
				'description' => '',
				'args' => array(
					'col_width' => 3,
					'suffix' => 'px'
				)
			)
		);

		$title_group = libero_mikado_add_admin_group(
			array(
				'parent' => $side_area_panel,
				'name' => 'title_group',
				'title' => 'عنوان',
				'description' => ''
			)
		);

		$title_row_1 = libero_mikado_add_admin_row(
			array(
				'parent' => $title_group,
				'name' => 'title_row_1',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $title_row_1,
				'type' => 'colorsimple',
				'name' => 'side_area_title_color',
				'default_value' => '',
				'label' => 'رنگ متن',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $title_row_1,
				'type' => 'textsimple',
				'name' => 'side_area_title_fontsize',
				'default_value' => '',
				'label' => 'اندازه فونت',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $title_row_1,
				'type' => 'textsimple',
				'name' => 'side_area_title_lineheight',
				'default_value' => '',
				'label' => 'ارتفاع خط',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $title_row_1,
				'type' => 'selectblanksimple',
				'name' => 'side_area_title_texttransform',
				'default_value' => '',
				'label' => 'نوع حروف',
				'options' => libero_mikado_get_text_transform_array()
			)
		);

		$title_row_2 = libero_mikado_add_admin_row(
			array(
				'parent' => $title_group,
				'name' => 'title_row_2',
				'next' => true
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $title_row_2,
				'type' => 'fontsimple',
				'name' => 'side_area_title_google_fonts',
				'default_value' => '-1',
				'label' => 'خانواده فونت',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $title_row_2,
				'type' => 'selectblanksimple',
				'name' => 'side_area_title_fontstyle',
				'default_value' => '',
				'label' => 'استایل فونت',
				'options' => libero_mikado_get_font_style_array()
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $title_row_2,
				'type' => 'selectblanksimple',
				'name' => 'side_area_title_fontweight',
				'default_value' => '',
				'label' => 'ضخامت فونت',
				'options' => libero_mikado_get_font_weight_array()
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $title_row_2,
				'type' => 'textsimple',
				'name' => 'side_area_title_letterspacing',
				'default_value' => '',
				'label' => 'فاصله حروف',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);


		$text_group = libero_mikado_add_admin_group(
			array(
				'parent' => $side_area_panel,
				'name' => 'text_group',
				'title' => 'متن',
				'description' => 'تعریف استایل برای متن ناحیه کناری'
			)
		);

		$text_row_1 = libero_mikado_add_admin_row(
			array(
				'parent' => $text_group,
				'name' => 'text_row_1',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $text_row_1,
				'type' => 'colorsimple',
				'name' => 'side_area_text_color',
				'default_value' => '',
				'label' => 'رنگ متن',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $text_row_1,
				'type' => 'textsimple',
				'name' => 'side_area_text_fontsize',
				'default_value' => '',
				'label' => 'اندازه فونت',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $text_row_1,
				'type' => 'textsimple',
				'name' => 'side_area_text_lineheight',
				'default_value' => '',
				'label' => 'ارتفاع خط',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $text_row_1,
				'type' => 'selectblanksimple',
				'name' => 'side_area_text_texttransform',
				'default_value' => '',
				'label' => 'نوع حروف',
				'options' => libero_mikado_get_text_transform_array()
			)
		);

		$text_row_2 = libero_mikado_add_admin_row(
			array(
				'parent' => $text_group,
				'name' => 'text_row_2',
				'next' => true
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $text_row_2,
				'type' => 'fontsimple',
				'name' => 'side_area_text_google_fonts',
				'default_value' => '-1',
				'label' => 'خانواده فونت',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $text_row_2,
				'type' => 'fontsimple',
				'name' => 'side_area_text_google_fonts',
				'default_value' => '-1',
				'label' => 'خانواده فونت',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $text_row_2,
				'type' => 'selectblanksimple',
				'name' => 'side_area_text_fontstyle',
				'default_value' => '',
				'label' => 'استایل فونت',
				'options' => libero_mikado_get_font_style_array()
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $text_row_2,
				'type' => 'selectblanksimple',
				'name' => 'side_area_text_fontweight',
				'default_value' => '',
				'label' => 'ضخامت فونت',
				'options' => libero_mikado_get_font_weight_array()
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $text_row_2,
				'type' => 'textsimple',
				'name' => 'side_area_text_letterspacing',
				'default_value' => '',
				'label' => 'فاصله حروف',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		$widget_links_group = libero_mikado_add_admin_group(
			array(
				'parent' => $side_area_panel,
				'name' => 'widget_links_group',
				'title' => 'استایل لینک',
				'description' => ''
			)
		);

		$widget_links_row_1 = libero_mikado_add_admin_row(
			array(
				'parent' => $widget_links_group,
				'name' => 'widget_links_row_1',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $widget_links_row_1,
				'type' => 'colorsimple',
				'name' => 'sidearea_link_color',
				'default_value' => '',
				'label' => 'رنگ متن',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $widget_links_row_1,
				'type' => 'textsimple',
				'name' => 'sidearea_link_font_size',
				'default_value' => '',
				'label' => 'اندازه فونت',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $widget_links_row_1,
				'type' => 'textsimple',
				'name' => 'sidearea_link_line_height',
				'default_value' => '',
				'label' => 'ارتفاع خط',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $widget_links_row_1,
				'type' => 'selectblanksimple',
				'name' => 'sidearea_link_text_transform',
				'default_value' => '',
				'label' => 'نوع حروف',
				'options' => libero_mikado_get_text_transform_array()
			)
		);

		$widget_links_row_2 = libero_mikado_add_admin_row(
			array(
				'parent' => $widget_links_group,
				'name' => 'widget_links_row_2',
				'next' => true
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $widget_links_row_2,
				'type' => 'fontsimple',
				'name' => 'sidearea_link_font_family',
				'default_value' => '-1',
				'label' => 'خانواده فونت',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $widget_links_row_2,
				'type' => 'selectblanksimple',
				'name' => 'sidearea_link_font_style',
				'default_value' => '',
				'label' => 'استایل فونت',
				'options' => libero_mikado_get_font_style_array()
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $widget_links_row_2,
				'type' => 'selectblanksimple',
				'name' => 'sidearea_link_font_weight',
				'default_value' => '',
				'label' => 'ضخامت فونت',
				'options' => libero_mikado_get_font_weight_array()
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $widget_links_row_2,
				'type' => 'textsimple',
				'name' => 'sidearea_link_letter_spacing',
				'default_value' => '',
				'label' => 'فاصله حروف',
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		$widget_links_row_3 = libero_mikado_add_admin_row(
			array(
				'parent' => $widget_links_group,
				'name' => 'widget_links_row_3',
				'next' => true
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $widget_links_row_3,
				'type' => 'colorsimple',
				'name' => 'sidearea_link_hover_color',
				'default_value' => '',
				'label' => 'رنگ حالت شناور',
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_panel,
				'type' => 'yesno',
				'name' => 'side_area_enable_bottom_border',
				'default_value' => 'no',
				'label' => 'حاشیه پایین عناصر',
				'description' => 'فعال سازی حاشیه پایین',
				'args' => array(
					'dependence' => true,
					'dependence_hide_on_yes' => '',
					'dependence_show_on_yes' => '#mkd_side_area_bottom_border_container'
				)
			)
		);

		$side_area_bottom_border_container = libero_mikado_add_admin_container(
			array(
				'parent' => $side_area_panel,
				'name' => 'side_area_bottom_border_container',
				'hidden_property' => 'side_area_enable_bottom_border',
				'hidden_value' => 'no'
			)
		);

		libero_mikado_add_admin_field(
			array(
				'parent' => $side_area_bottom_border_container,
				'type' => 'color',
				'name' => 'side_area_bottom_border_color',
				'default_value' => '',
				'label' => 'رنگ حاشیه پایین',
				'description' => ''
			)
		);

	}

	add_action('libero_mikado_options_map', 'libero_mikado_sidearea_options_map', 4);

}